<?php

namespace App\Http\Controllers;

use App\Models\ContactGroup;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class ContactGroupController extends Controller
{
    public function getContactGroups(Request $request)
    {
        $contactGroups = ContactGroup::all();

        $main_json = [];
        $i = 0;
        foreach ($contactGroups as $contactGroup) {
            if ($contactGroup->contact_group_status === "Active") {
                $badge_class = "badge-success";
            } else {
                $badge_class = "badge-danger";
            }
            $v = 0;
            $main_json[$i][$v++] = $contactGroup->contact_group_name;
            $main_json[$i][$v++] = '<span class="badge ' . $badge_class . '">' . $contactGroup->contact_group_status . '</span>';
            $main_json[$i][$v++] = '<a href="#" class="btn btn-sm btn-light btn-flex btn-center btn-active-light-primary" data-kt-menu-trigger="click" data-kt-menu-placement="bottom-end">
            Actions
            <i class="ki-duotone ki-down fs-5 ms-1"></i>
        </a>
        <div
            class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-600 menu-state-bg-light-primary fw-semibold fs-7 w-125px py-4"
            data-kt-menu="true"
        >
            <div class="menu-item px-3">
                <a href="#" data-id="' . $contactGroup->id . '" class="menu-link px-3 editContactGroup">
                    Edit
                </a>
            </div>
            <div class="menu-item px-3">
                <a
                    href="#"
                    data-id="' . $contactGroup->id . '"
                    class="menu-link px-3 deleteContactGroup"
                    data-kt-contact-table-filter="delete_row"
                >
                    Delete
                </a>
            </div>
        </div>';
            $i++;
        }

        return response()->json(["returned_data" => $main_json]);

    }

    public function createContactGroup(Request $request)
    {
        $contactGroup = new ContactGroup();
        $contactGroup->contact_group_name = $request->contactGroupName;
        $contactGroup->contact_group_status = "Active";
        $contactGroup->save();
        return response()->json(["status" => "success"]);
    }

    public function editContactGroupForm(Request $request)
    {
        $contactGroup = ContactGroup::find($request->contactGroupId);

        $contactGroupStatus = $contactGroup->contact_group_status === 'Active' ? 'checked' : '';
        $title = "Edit Contact Group";
        $body = "";
        $body .= '
                <form id="editContactGroupForm">
                <input value="' . $contactGroup->id . '" name="contactGroupId" class="d-none">
                <div class="fv-row mb-5">
                    <!--begin::Label-->
                    <label class="required fs-6 fw-semibold mb-2">Name</label>
                    <!--end::Label-->
                    <!--begin::Input-->
                    <input type="text" class="form-control form-control-solid" placeholder="Enter contact group name" name="contactGroupName" value="' . $contactGroup->contact_group_name . '" />
                    <!--end::Input-->
                </div>
                <!--end::Input group-->
                <!--begin::Input group-->
                <div class="fv-row mb-7">
                    <!--begin::Label-->
                    <label class="required fs-6 fw-semibold mb-2">Status</label>
                    <!--end::Label-->

                    <!--begin::Input-->
                    <div class="form-check form-switch form-check-custom form-check-solid">
                        <input class="form-check-input" type="checkbox" value="Active" id="contactGroupStatus" name="contactGroupStatus" ' . $contactGroupStatus . '>
                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="contactGroupStatus">
                            Active
                        </label>
                    </div>
                    <!--end::Input-->
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        ';

        return response()->json(["status" => "success", "body" => $body, "title" => $title]);
    }

    public function editContactGroup(Request $request)
    {
        $contactGroup = ContactGroup::where("id", $request->contactGroupId)->first();
        $contactGroup->contact_group_name = $request->contactGroupName;
        $contactGroup->contact_group_status = $request->contactGroupStatus;
        $contactGroup->save();
        return response()->json(["status" => "success"]);
    }

    public function deleteContactGroup(Request $request)
    {
        $tables = Schema::getConnection()->getDoctrineSchemaManager()->listTableNames();
        foreach ($tables as $table) {
            if (Schema::hasColumn($table, 'contact_group_id')) {
                $contactGroupId = DB::table($table)->where('contact_group_id', $request->contactGroupId)->exists();
                if ($contactGroupId) {
                    return response()->json(["status" => "failed", "message" => "Cannot delete, Contact Group has data!"]);
                }
            }
        }

        ContactGroup::where("id", $request->contactGroupId)->delete();
        $count = ContactGroup::get()->count();
        return response()->json(["status" => "success", "count" => $count]);

    }

}
