<?php

namespace App\Http\Controllers;

use App\Models\DeliveryCompany;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class DeliveryCompanyController extends Controller
{
    public function getDeliveryCompanies(Request $request)
    {
        $deliveryCompanies = DeliveryCompany::all();

        $main_json = [];
        $i = 0;
        foreach ($deliveryCompanies as $deliveryCompany) {
            if ($deliveryCompany->delivery_company_status === "Active") {
                $badge_class = "badge-success";
            } else {
                $badge_class = "badge-danger";
            }
            $v = 0;
            $main_json[$i][$v++] = $deliveryCompany->delivery_company_name;
            $main_json[$i][$v++] = '<span class="badge ' . $badge_class . '">' . $deliveryCompany->delivery_company_status . '</span>';
            $main_json[$i][$v++] = '<a href="#" class="btn btn-sm btn-light btn-flex btn-center btn-active-light-primary" data-kt-menu-trigger="click" data-kt-menu-placement="bottom-end">
            Actions
            <i class="ki-duotone ki-down fs-5 ms-1"></i>
        </a>
        <div
            class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-600 menu-state-bg-light-primary fw-semibold fs-7 w-125px py-4"
            data-kt-menu="true"
        >
            <div class="menu-item px-3">
                <a href="#" data-id="' . $deliveryCompany->id . '" class="menu-link px-3 editDeliveryCompany">
                    Edit
                </a>
            </div>
            <div class="menu-item px-3">
                <a
                    href="#"
                    data-id="' . $deliveryCompany->id . '"
                    class="menu-link px-3 deleteDeliveryCompany"
                    data-kt-contact-table-filter="delete_row"
                >
                    Delete
                </a>
            </div>
        </div>';
            $i++;
        }

        return response()->json(["returned_data" => $main_json]);

    }

    public function createDeliveryCompany(Request $request)
    {
        $deliveryCompany = new DeliveryCompany();
        $deliveryCompany->delivery_company_name = $request->deliveryCompanyName;
        $deliveryCompany->delivery_company_status = "Active";
        $deliveryCompany->save();
        return response()->json(["status" => "success"]);
    }

    public function editDeliveryCompanyForm(Request $request)
    {
        $deliveryCompany = DeliveryCompany::find($request->deliveryCompanyId);

        $title = "Edit Delivery Company";
        $body = "";
        $deliveryCompanyStatus = $deliveryCompany->delivery_company_status === 'Active' ? 'checked' : '';
        $body .= '
                <form id="editDeliveryCompanyForm">
                <input value="' . $deliveryCompany->id . '" name="deliveryCompanyId" class="d-none">
                <div class="fv-row mb-5">
                    <!--begin::Label-->
                    <label class="required fs-6 fw-semibold mb-2">Name</label>
                    <!--end::Label-->
                    <!--begin::Input-->
                    <input type="text" class="form-control form-control-solid" placeholder="Enter item category name" name="deliveryCompanyName" value="' . $deliveryCompany->delivery_company_name . '" />
                    <!--end::Input-->
                </div>
                <!--end::Input group-->
                <!--begin::Input group-->
                <div class="fv-row mb-7">
                    <!--begin::Label-->
                    <label class="required fs-6 fw-semibold mb-2">Status</label>
                    <!--end::Label-->

                    <!--begin::Input-->
                    <div class="form-check form-switch form-check-custom form-check-solid">
                        <input class="form-check-input" type="checkbox" value="Active" id="deliveryCompanyStatus" name="deliveryCompanyStatus" ' . $deliveryCompanyStatus . '>
                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="deliveryCompanyStatus">
                            Active
                        </label>
                    </div>
                    <!--end::Input-->
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        ';

        return response()->json(["status" => "success", "body" => $body, "title" => $title]);
    }

    public function editDeliveryCompany(Request $request)
    {
        $deliveryCompany = DeliveryCompany::where("id", $request->deliveryCompanyId)->first();
        $deliveryCompany->delivery_company_name = $request->deliveryCompanyName;
        $deliveryCompany->delivery_company_status = $request->deliveryCompanyStatus;
        $deliveryCompany->save();
        return response()->json(["status" => "success"]);
    }

    public function deleteDeliveryCompany(Request $request)
    {
        $tables = Schema::getConnection()->getDoctrineSchemaManager()->listTableNames();
        foreach ($tables as $table) {
            if (Schema::hasColumn($table, 'delivery_company_id')) {
                $deliveryCompanyId = DB::table($table)->where('delivery_company_id', $request->deliveryCompanyId)->exists();
                if ($deliveryCompanyId) {
                    return response()->json(["status" => "failed", "message" => "Cannot delete, Delivery Company has data!"]);
                }
            }
        }

        DeliveryCompany::where("id", $request->deliveryCompanyId)->delete();
        $count = DeliveryCompany::get()->count();
        return response()->json(["status" => "success", "count" => $count]);

    }
}
