<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Contact;
use App\Models\Item;
use App\Models\Purchase;
use App\Models\ItemCategory;
use App\Models\ItemMeasurement;
use App\Models\ItemPurchase;
use App\Models\ItemWaste;
use App\Models\ItemOrder;
use App\Models\ItemListOrder;
use App\Models\PaymentMethod;
use App\Models\PurchasePayment;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Schema;

class ItemPurchaseController extends Controller
{
    public function getItemPurchases(Request $request)
    {
        $itemPurchases = ItemPurchase::where("barcode", $request->barcode)->where("status", "Open")->with("items")->get();
        return response()->json(["status" => "success", "itemPurchases" => $itemPurchases]);
    }

    public function itemPurchases(Request $request)
    {
        $itemPurchases = Item::find($request->itemId)->itemPurchases->where("status", "Open");
        return response()->json(["status" => "success", "itemPurchases" => $itemPurchases]);
    }

    public function editItemPurchase(Request $request){
        $itemPurchase = ItemPurchase::find($request->itemPurchaseId);
        $itemPurchase->measurement_id = null;
        $itemPurchase->measurement_quantity = null;
        $itemPurchase->purchase_quantity = $request->quantity;
        $itemPurchase->barcode = $request->barcode;
        $itemPurchase->expiry_date = $request->expiryDate;
        $itemPurchase->cost_price = $request->costPrice;
        $itemPurchase->unit_price = $request->costPrice / $request->quantity;
        $itemPurchase->save();
        return response()->json(["status" => "success", "message" => "Item purchase updated successfully"]);
    }

    public function deleteItemPurchase(Request $request){
        ItemPurchase::where("id", $request->itemPurchaseId)->delete();
        return response()->json(["status" => "success", "message" => "Item purchase deleted successfully"]);
    }

}
