<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('items', function (Blueprint $table) {
            $table->id();
            $table->string("item_name");
            $table->integer("station_id")->nullable();
            $table->string("item_type")->default("Item");
            $table->longText("item_image")->nullable();
            $table->longText("item_description")->nullable();
            $table->string("item_status")->default("Active");
            $table->integer("item_category_id");
            $table->double("item_price", 1000000000000000000, 2)->default(0.00);
            $table->string("item_measurement");
            $table->double("profit_margin")->nullable();
            $table->integer("expiry_alert_before")->nullable();
            $table->double("stock_alert_below")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('items');
    }
};
