<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('item_purchases', function (Blueprint $table) {
            $table->id();
            $table->integer('purchase_id');
            $table->integer('item_id');
            $table->integer('measurement_id')->nullable();
            $table->string("barcode");
            $table->double("purchase_quantity", 1000000000, 2);
            $table->double("measurement_quantity", 1000000000, 2)->nullable();
            $table->double("cost_price", 1000000000000000000, 2);
            $table->double("unit_price", 1000000000000000000, 2);
            $table->string("status")->default("Open");
            $table->date("expiry_date")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('item_purchases');
    }
};
