<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->id();
            $table->integer("user_id");
            $table->string("transaction_number");
            $table->string("transaction_type");
            $table->double("transaction_amount")->default(0.00);
            $table->integer("transaction_category_id")->nullable();
            $table->integer("transaction_subcategory_id")->nullable();
            $table->date("transaction_start_date");
            $table->date("transaction_end_date");
            $table->json("transaction_exclude_dates");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('transactions');
    }
};
