<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('medication_plans', function (Blueprint $table) {
            $table->id();
            $table->string("plan_name");
            $table->integer("contact_id")->nullable();
            $table->integer("delivery_location_id")->nullable();
            $table->integer('interval_value')->default(1);
            $table->string('interval_type')->default("Daily");
            $table->date('start_date');
            $table->date('end_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('medication_plans');
    }
};
