<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('medications', function (Blueprint $table) {
            $table->id();
            $table->integer('medication_plan_id');
            $table->integer('item_id');
            $table->integer('item_quantity');
            $table->integer('dosage')->default(1);
            $table->string('dosage_unit')->default('Tablet');
            $table->integer('frequency_value')->default(1);
            $table->string('frequency_type')->default("Daily");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('medications');
    }
};
