@extends('layouts.master')

@section('title', env('APP_NAME'))

@section('content')

    <style>
        .my-14 {
            margin-top: 2.5rem !important;
            margin-bottom: 2.5rem !important;
        }
    </style>
    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Contacts</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="{{url("/")}}"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Customers</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Customer"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <div
                                class="menu menu-sub menu-sub-dropdown w-300px w-md-325px"
                                data-kt-menu="true"
                                id="kt-toolbar-filter"
                            >
                                <!--begin::Header-->
                                <div class="px-7 py-5">
                                    <div class="fs-4 text-dark fw-bold">
                                        Filter Options
                                    </div>
                                </div>
                                <!--end::Header-->

                                <!--begin::Separator-->
                                <div class="separator border-gray-200"></div>
                                <!--end::Separator-->

                                <!--begin::Content-->
                                <div class="px-7 py-5">
                                    <!--begin::Input group-->
                                    <div class="mb-10">
                                        <!--begin::Label-->
                                        <label class="form-label fs-5 fw-semibold mb-3"
                                        >Month:</label
                                        >
                                        <!--end::Label-->

                                        <!--begin::Input-->
                                        <select
                                            class="form-select form-select-solid fw-bold"
                                            data-kt-select2="true"
                                            data-placeholder="Select option"
                                            data-allow-clear="true"
                                            data-kt-customer-table-filter="month"
                                            data-dropdown-parent="#kt-toolbar-filter"
                                        >
                                            <option></option>
                                            <option value="aug">August</option>
                                            <option value="sep">September</option>
                                            <option value="oct">October</option>
                                            <option value="nov">November</option>
                                            <option value="dec">December</option>
                                        </select>
                                        <!--end::Input-->
                                    </div>
                                    <!--end::Input group-->

                                    <!--begin::Input group-->
                                    <div class="mb-10">
                                        <!--begin::Label-->
                                        <label class="form-label fs-5 fw-semibold mb-3"
                                        >Payment Type:</label
                                        >
                                        <!--end::Label-->

                                        <!--begin::Options-->
                                        <div
                                            class="d-flex flex-column flex-wrap fw-semibold"
                                            data-kt-customer-table-filter="payment_type"
                                        >
                                            <!--begin::Option-->
                                            <label
                                                class="form-check form-check-sm form-check-custom form-check-solid mb-3 me-5"
                                            >
                                                <input
                                                    class="form-check-input"
                                                    type="radio"
                                                    name="payment_type"
                                                    value="all"
                                                    checked="checked"
                                                />
                                                <span class="form-check-label text-gray-600">
                        All
                      </span>
                                            </label>
                                            <!--end::Option-->

                                            <!--begin::Option-->
                                            <label
                                                class="form-check form-check-sm form-check-custom form-check-solid mb-3 me-5"
                                            >
                                                <input
                                                    class="form-check-input"
                                                    type="radio"
                                                    name="payment_type"
                                                    value="visa"
                                                />
                                                <span class="form-check-label text-gray-600">
                        Visa
                      </span>
                                            </label>
                                            <!--end::Option-->

                                            <!--begin::Option-->
                                            <label
                                                class="form-check form-check-sm form-check-custom form-check-solid mb-3"
                                            >
                                                <input
                                                    class="form-check-input"
                                                    type="radio"
                                                    name="payment_type"
                                                    value="mastercard"
                                                />
                                                <span class="form-check-label text-gray-600">
                        Mastercard
                      </span>
                                            </label>
                                            <!--end::Option-->

                                            <!--begin::Option-->
                                            <label
                                                class="form-check form-check-sm form-check-custom form-check-solid"
                                            >
                                                <input
                                                    class="form-check-input"
                                                    type="radio"
                                                    name="payment_type"
                                                    value="american_express"
                                                />
                                                <span class="form-check-label text-gray-600">
                        American Express
                      </span>
                                            </label>
                                            <!--end::Option-->
                                        </div>
                                        <!--end::Options-->
                                    </div>
                                    <!--end::Input group-->

                                    <!--begin::Actions-->
                                    <div class="d-flex justify-content-end">
                                        <button
                                            type="reset"
                                            class="btn btn-light btn-active-light-primary me-2"
                                            data-kt-menu-dismiss="true"
                                            data-kt-customer-table-filter="reset"
                                        >
                                            Reset
                                        </button>

                                        <button
                                            type="submit"
                                            class="btn btn-primary"
                                            data-kt-menu-dismiss="true"
                                            data-kt-customer-table-filter="filter"
                                        >
                                            Apply
                                        </button>
                                    </div>
                                    <!--end::Actions-->
                                </div>
                                <!--end::Content-->
                            </div>
                            <!--end::Menu 1-->
                            <!--end::Filter-->

                            <!--begin::Add customer-->
                            <button
                                type="button"
                                class="btn btn-dark"
                                data-bs-toggle="modal"
                                data-bs-target="#addCustomerModal"
                            >
                                Add Customer
                            </button>
                            <!--end::Add customer-->
                        </div>
                        <!--end::Toolbar-->

                        <!--begin::Group actions-->
                        <div
                            class="d-flex justify-content-end align-items-center d-none"
                            data-kt-customer-table-toolbar="selected"
                        >
                            <div class="fw-bold me-5">
              <span
                  class="me-2"
                  data-kt-customer-table-select="selected_count"
              ></span>
                                Selected
                            </div>

                            <button
                                type="button"
                                class="btn btn-danger"
                                data-kt-customer-table-select="delete_selected"
                            >
                                Delete Selected
                            </button>
                        </div>
                        <!--end::Group actions-->
                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="customersTable">
                        <thead>
                        <tr
                            class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0"
                        >
                            <!--th class="w-10px pe-2">
                                <div
                                    class="form-check form-check-sm form-check-custom form-check-solid me-3"
                                >
                                    <input
                                        class="form-check-input"
                                        type="checkbox"
                                        data-kt-check="true"
                                        data-kt-check-target="#kt_customers_table .form-check-input"
                                        value="1"
                                    />
                                </div>
                            </th-->
                            <th class="min-w-125px">Customer Name</th>
                            <th class="min-w-125px">Customer Email</th>
                            <th class="min-w-125px">Phone Number</th>
                            <th class="min-w-125px">Customer Status</th>
                            <th class="text-end min-w-70px">Actions</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->

            <!--begin::Modals-->
            <div class="modal fade" tabindex="-1" id="addCustomerModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addCustomerForm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add Customer</h3>

                                <!--begin::Close-->
                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                                <!--end::Close-->
                            </div>

                            <div class="modal-body">
{{--                                <!--begin::Input group-->--}}
{{--                                <div class="fv-row mb-7">--}}
{{--                                    <!--begin::Label-->--}}
{{--                                    <label class="required fs-6 fw-semibold mb-2">Select Branch</label>--}}
{{--                                    <!--end::Label-->--}}

{{--                                    <!--begin::Select-->--}}
{{--                                    <select class="form-select mb-2 branchId" name="branchId" data-placeholder="Select a branch" data-dropdown-parent="#addCustomerModal" >--}}
{{--                                        @foreach($branches as $branch)--}}
{{--                                            <option value="{{$branch->id}}">{{$branch->branch_name}}</option>--}}
{{--                                        @endforeach--}}
{{--                                    </select>--}}
{{--                                    <!--end::Select-->--}}
{{--                                </div>--}}
{{--                                <!--end::Input group-->--}}
                                <!--begin::Input group-->
                                <div class="fv-row mb-7">
                                    <label class="form-label">Customer Name:</label>
                                    <input type="text" name="customerName" class="form-control mb-2 mb-md-0" placeholder="Enter customer name" />
                                </div>
                                <!--end::Input group-->
                                <!--begin::Input group-->
                                <div class="fv-row mb-7">
                                    <label class="form-label">Customer Email:</label>
                                    <input type="email" name="customerEmail" class="form-control mb-2 mb-md-0" placeholder="Enter customer email" />
                                </div>
                                <!--end::Input group-->
                                <!--begin::Input group-->
                                <div class="fv-row mb-7">
                                    <label class="form-label">Customer Phone Number:</label>
                                    <input type="text" name="customerPhoneNumber" class="form-control mb-2 mb-md-0" placeholder="Enter customer phone number" />
                                </div>
                                <!--end::Input group-->
                                <!--begin::Input group-->
                                <div class="fv-row mb-7">
                                    <label class="form-label">Customer Password:</label>
                                    <input type="password" name="customerPassword" class="form-control mb-2 mb-md-0" placeholder="Enter customer password" />
                                </div>
                                <!--end::Input group-->
                                <!--begin::Input group-->
                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Status</label>
                                    <div class="form-check form-switch form-check-custom form-check-solid">
                                        <input class="form-check-input" type="checkbox" value="Active" name="customerStatus" checked="checked">
                                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="customerStatus">
                                            Active
                                        </label>
                                    </div>
                                </div>
                                <!--end::Input group-->
                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

@endsection

@section("footer-links")

    <script>
        $(document).ready(function() {

            $(".branchId").select2();

            var datatable = $("#customersTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 10,
                "ajax": {
                    "url": "ajax_customers",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $(document).on("click", ".editCustomer", function (e){
                e.preventDefault();
                var customer_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_customer_form",
                    dataType: "json",
                    data:{
                        customerId: customer_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("submit", "#editCustomerForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Customer will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editCustomerForm").ajaxSubmit({
                                    type: "PUT",
                                    url: "edit_customer",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            close_modal()
                                            Swal.fire("Done!", "Customer Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".deleteCustomer", function (e){
                e.preventDefault();
                var customer_id = $(this).data("id");
                var tr = $(this).parents("tr");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Customer will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_customer",
                                    dataType: "json",
                                    data:{
                                        customerId: customer_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            Swal.fire("Done!", "Customer Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addCustomerForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Customer will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addCustomerForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_customer",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            close_modal()
                                            Swal.fire("Done!", "Customer Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

        });
    </script>

@endsection

