@extends('layouts.master')

@section('title', env('APP_NAME'))

@section('content')

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Settings</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="{{url("/")}}"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Measurements</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Measurement"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <button
                                type="button"
                                class="btn btn-info"
                                data-bs-toggle="modal"
                                data-bs-target="#addMeasurementsModal"
                            >
                                Add Measurements
                            </button>
                        </div>

                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="measurementsTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-125px">Measurement Name</th>
                            <th class="min-w-125px">Measurement Status</th>
                            <th class="text-end min-w-70px">Actions</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">

                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->

            <div class="modal fade" tabindex="-1" id="addMeasurementsModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addMeasurementsForm">
                        <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Add Measurements</h3>
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>

                        <div class="modal-body">

                            <div class="fv-row mb-7">
                                <div id="kt_docs_repeater_basic">
                                    <div class="form-group">
                                        <div data-repeater-list="measurements">
                                            <div data-repeater-item class="mb-5">
                                                <div class="form-group row">
                                                    <div class="col-md-9">
                                                        <label class="form-label">Measurement Name:</label>
                                                        <input type="text" name="measurementName" class="form-control mb-2 mb-md-0" placeholder="Enter measurement name" />
                                                    </div>
                                                    <div class="col-md-3">
                                                        <a href="javascript:;" data-repeater-delete class="btn btn-sm btn-light-danger mt-3 mt-md-8">
                                                            <i class="ki-duotone ki-trash fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>
                                                            Delete
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group mt-5">
                                        <a href="javascript:;" data-repeater-create class="btn btn-light-primary">
                                            <i class="ki-duotone ki-plus fs-3"></i>
                                            Add
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </div>
                    </form>
                </div>
            </div>

        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->


@endsection

@section("footer-links")

    <script>
        $(document).ready(function() {

            var datatable = $("#measurementsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 10,
                "ajax": {
                    "url": "ajax_measurements",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $(document).on("click", ".editMeasurement", function (e){
                e.preventDefault();
                var measurement_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_measurement_form",
                    dataType: "json",
                    data:{
                        measurementId: measurement_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $(".branchId").selectpicker();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("submit", "#editMeasurementForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Measurement will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editMeasurementForm").ajaxSubmit({
                                    type: "PUT",
                                    url: "edit_measurement",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            close_modal();
                                            Swal.fire("Done!", "Measurement Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".deleteMeasurement", function (e){
                e.preventDefault();
                var measurement_id = $(this).data("id");
                var tr = $(this).parents("tr");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Measurement will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_measurement",
                                    dataType: "json",
                                    data:{
                                        measurementId: measurement_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            Swal.fire("Done!", "Measurement Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addMeasurementsForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Measurements will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addMeasurementsForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_measurements",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            $("#addMeasurementsForm").resetForm();
                                            datatable.ajax.reload();
                                            close_modal();
                                            Swal.fire("Done!", "Measurements Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

        });
    </script>

@endsection

