<!DOCTYPE html>
<html lang="en" >
<!--begin::Head-->

<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<head>
    <title>{{env("APP_NAME")}}</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta charset="utf-8"/>
    <meta name="description" content="{{env("APP_NAME")}}"/>
    <meta name="keywords" content="{{env("APP_NAME")}}"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta property="og:locale" content="en_US" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="{{env("APP_NAME")}}" />
    <link rel="shortcut icon" href="{{url("setup/nola_logo.png")}}"/>
    <!--begin::Fonts(mandatory for all pages)-->
    <link rel="stylesheet" href="{{url("https://fonts.googleapis.com/css?family=Inter:300,400,500,600,700")}}"/>        <!--end::Fonts-->

    <!--begin::Global Stylesheets Bundle(mandatory for all pages)-->
    <link href="{{url("assets/plugins/global/plugins.bundle.css")}}" rel="stylesheet" type="text/css"/>
    <link href="{{url("assets/css/style.bundle.css")}}" rel="stylesheet" type="text/css"/>
    <!--end::Global Stylesheets Bundle-->

    <!--begin::Vendor Stylesheets(used for this page only)-->
    <link href="{{url("assets/plugins/custom/datatables/datatables.bundle.css")}}" rel="stylesheet" type="text/css"/>
    <link href="{{url("assets/plugins/custom/vis-timeline/vis-timeline.bundle.css")}}" rel="stylesheet" type="text/css"/>
    <!--end::Vendor Stylesheets-->
    <link rel="stylesheet" href="{{url("pos/css/keyboard-basic.min.css")}}" integrity="sha512-2bVDVxlsH8oY3RrNeI1uJOAXWmjfEwQ9/dfJ/XM4dG5w8R3W3vSTQccpkzJWndrRo2HNXkiM4tjikPCp111sQg==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    <!--Begin::Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
                new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
            j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
            'www.googletagmanager.com/gtm5445.html?id='+i+dl;f.parentNode.insertBefore(j,f);
        })(window,document,'script','dataLayer','GTM-5FS8GGP');</script>
    <!--End::Google Tag Manager -->
    <script>
        if (window.top != window.self) {
            window.top.location.replace(window.self.location.href);
        }
    </script>
</head>
<!--end::Head-->

<!--begin::Body-->
<body  id="kt_body"  class="auth-bg bgi-size-cover bgi-attachment-fixed bgi-position-center bgi-no-repeat" >
<!--begin::Theme mode setup on page load-->
<script>
    var defaultThemeMode = "light";
    var themeMode;

    if ( document.documentElement ) {
        if ( document.documentElement.hasAttribute("data-bs-theme-mode")) {
            themeMode = document.documentElement.getAttribute("data-bs-theme-mode");
        } else {
            if ( localStorage.getItem("data-bs-theme") !== null ) {
                themeMode = localStorage.getItem("data-bs-theme");
            } else {
                themeMode = defaultThemeMode;
            }
        }

        if (themeMode === "system") {
            themeMode = window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light";
        }

        document.documentElement.setAttribute("data-bs-theme", themeMode);
    }
</script>
<!--end::Theme mode setup on page load-->
<!--Begin::Google Tag Manager (noscript) -->
<noscript><iframe src="{{url("https://www.googletagmanager.com/ns.html?id=GTM-5FS8GGP")}}" height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!--End::Google Tag Manager (noscript) -->

<!--begin::Main-->
<!--begin::Root-->
<div class="d-flex flex-column flex-root">
    <!--begin::Page bg image-->
    <style>
        body {
            background-image: url('assets/background.jpg');
            overflow-x: hidden;
        }

        [data-bs-theme="dark"] body {
            background: black;
            background-image: url('assets/background.jpg');
        }
        .my-14 {
            margin-top: 2.5rem !important;
            margin-bottom: 2.5rem !important;
        }

    </style>
    <!--end::Page bg image-->

    <!--begin::Authentication - Sign-in -->
    <div class="d-flex flex-column flex-column-fluid flex-lg-row" style="background-color: lightgrey;">
        <!--begin::Aside-->
        <div class="d-flex flex-center w-lg-50 pt-15 pt-lg-0 px-10">
            <!--begin::Aside-->
            <div class="d-flex flex-center flex-lg-start flex-column">
                <!--begin::Logo-->
                <a href="{{url("/")}}" class="mb-0">
                    <img alt="Logo" src="{{url("zeonpos_logo.png")}}" style="width: 205px;"/>
                </a>
                <!--end::Logo-->

                <!--begin::Title-->
                <h2 class="text-white fw-normal d-none m-0 text-center">
                    {{env("APP_NAME")}} Point of Sale
                </h2>
                <!--end::Title-->
            </div>
            <!--begin::Aside-->
        </div>
        <!--begin::Aside-->

        <!--begin::Body-->
        <div class="d-flex flex-column-fluid flex-lg-row-auto justify-content-center justify-content-lg-end p-12 p-lg-20">
            <!--begin::Card-->
            <div class="bg-body d-flex flex-column align-items-stretch flex-center rounded-4 w-md-600px p-20">

                <div class="w-lg-500px p-10">

                    <!--begin::Form-->
                    <form class="form w-100 mb-13" novalidate="novalidate" id="signInForm" action="#">
                        @csrf
                        <!--begin::Heading-->
                        <div class="text-center mb-10">
                            <!--begin::Title-->
                            <h1 class="text-dark mb-3">
                                Sign In
                            </h1>
                            <!--end::Title-->
                            <!--begin::Sub-title-->
                            <div class="text-muted fw-semibold fs-5 mb-5">{{env("APP_NAME")}}</div>
                            <!--end::Sub-title-->
                        </div>
                        <!--end::Heading-->

                        <!--begin::Section-->
                        <div class="mb-10">
                            <!--begin::Label-->
                            <div class="fw-bold text-center text-dark fs-6 mb-1 ms-1">Type your 6 digit security pin</div>
                            <!--end::Label-->

                            <!--begin::Input group-->
                            <div class="d-flex flex-wrap flex-stack">
                                <input type="password" name="code_1" data-inputmask="'mask': '9', 'placeholder': ''" maxlength="1" class="form-control bg-transparent h-40px w-40px fs-2qx text-center mx-1 my-2" value="" inputmode="text">
                                <input type="password" name="code_2" data-inputmask="'mask': '9', 'placeholder': ''" maxlength="1" class="form-control bg-transparent h-40px w-40px fs-2qx text-center mx-1 my-2" value="" inputmode="text">
                                <input type="password" name="code_3" data-inputmask="'mask': '9', 'placeholder': ''" maxlength="1" class="form-control bg-transparent h-40px w-40px fs-2qx text-center mx-1 my-2" value="" inputmode="text">
                                <input type="password" name="code_4" data-inputmask="'mask': '9', 'placeholder': ''" maxlength="1" class="form-control bg-transparent h-40px w-40px fs-2qx text-center mx-1 my-2" value="" inputmode="text">
                                <input type="password" name="code_5" data-inputmask="'mask': '9', 'placeholder': ''" maxlength="1" class="form-control bg-transparent h-40px w-40px fs-2qx text-center mx-1 my-2" value="" inputmode="text">
                                <input type="password" name="code_6" data-inputmask="'mask': '9', 'placeholder': ''" maxlength="1" class="form-control bg-transparent h-40px w-40px fs-2qx text-center mx-1 my-2" value="" inputmode="text">
                            </div>
                            <!--begin::Input group-->
                        </div>
                        <!--end::Section-->

                        <!--begin::Submit-->
                        <div class="d-flex flex-center">
                            <button type="button" id="kt_sing_in_two_factor_submit" class="btn btn-lg btn-dark fw-bold submitBtn">
                                <span class="indicator-label">
                                    Sign In
                                </span>
                                <span class="indicator-progress">
                                Please wait... <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                            </span>
                            </button>
                        </div>
                        <!--end::Submit-->
                    </form>
                    <!--end::Form-->
                </div>

            </div>
            <!--end::Card-->
        </div>
        <!--end::Body-->
    </div>
    <!--end::Authentication - Sign-in-->
</div>

<!--end::Root-->
<!--end::Main-->


<!--begin::Javascript-->
<script>
    var hostUrl = "assets/index.html";
</script>

<!--begin::Global Javascript Bundle(mandatory for all pages)-->
<script src="{{url("assets/plugins/global/plugins.bundle.js")}}"></script>
<script src="{{url("assets/js/scripts.bundle.js")}}"></script>
<!--end::Global Javascript Bundle-->


<!--begin::Custom Javascript(used for this page only)-->
<script src="{{url("assets/js/custom/authentication/sign-in/general.js")}}"></script>
<!--end::Custom Javascript-->
<!--end::Javascript-->

<!--begin::Vendors Javascript(used for this page only)-->
<script src="{{url("assets/plugins/custom/datatables/datatables.bundle.js")}}"></script>
<script src="{{url("assets/plugins/custom/vis-timeline/vis-timeline.bundle.js")}}"></script>
<!--end::Vendors Javascript-->

<!--begin::Custom Javascript(used for this page only)-->
<script src="{{url("assets/js/widgets.bundle.js")}}"></script>
<script src="{{url("assets/js/custom/widgets.js")}}"></script>
<script src="{{url("assets/js/custom/apps/chat/chat.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/upgrade-plan.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/create-campaign.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/create-app.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/new-card.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/users-search.js")}}"></script>
<script src="{{url("assets/js/jquery.form.min.js")}}" integrity="sha384-qlmct0AOBiA2VPZkMY3+2WqkHtIQ9lSdAsAn5RUJD/3vA5MKDgSGcdmIv4ycVxyn" crossorigin="anonymous"></script>
<!-- <script src="{{url("https://cdnjs.cloudflare.com/ajax/libs/virtual-keyboard/1.30.4/js/jquery.keyboard.min.js")}}" integrity="sha512-bnF44HiiJPFa0Kzr+pxQktiT6MnrdSWn/jSkZcJY9Lsw2TRIWZfkI1zo6uNfKEvK0QK2AsJuvf7AIxUmCDOOmw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script> -->
<script src="{{url("pos/js/jquery.keyboard.min.js")}}" integrity="sha512-bnF44HiiJPFa0Kzr+pxQktiT6MnrdSWn/jSkZcJY9Lsw2TRIWZfkI1zo6uNfKEvK0QK2AsJuvf7AIxUmCDOOmw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<!--end::Custom Javascript-->
<!--end::Javascript-->

<script>
    $(document).ready(function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $("input[type='password']").each(function() {
            $(this).attr('inputmode', 'numeric'); 
        });

        $("input[type='password']").on('input', function() {
            if (this.value.length === 1) {
                var nextInput = $(this).next('input');
                if (nextInput.length) {
                    nextInput.focus();
                }
            }
        });

        $("input[type='password']").on('keydown', function(e) {
            if (e.key === 'Backspace' && this.value === '') {
                var prevInput = $(this).prev('input');
                if (prevInput.length) {
                    prevInput.focus();
                }
            }
        });

        $("input[type='password']").on('input', function() {
            var val = $(this).val().replace(/[^\d]/g, '');
            $(this).val(val);
        });

        $(document).on("click", ".submitBtn", function (e) {
            e.preventDefault();
            var error = false;

            if (!error) {

                Swal.fire({
                    title: 'Are you sure?',
                    html: "You will be logged in",
                    icon: 'info',
                    buttonsStyling: false,
                    showCancelButton: true,
                    allowOutsideClick: false,
                    allowEscapeKey: false,
                    allowEnterKey: false,
                    showLoaderOnConfirm: true,
                    confirmButtonText: 'Yes, login now!',
                    cancelButtonText: 'No, chill out',
                    customClass: {
                        confirmButton: 'btn btn-primary',
                        cancelButton: 'btn btn-danger'
                    },
                    preConfirm: () => {
                        return new Promise(() => {
                            $("#signInForm").ajaxSubmit({
                                type: "POST",
                                url: "sign_in_pos",
                                headers: {
                                    "X-CSRFToken": $('meta[name="csrf-token"]').attr('content')
                                },
                                dataType: "json",
                                success: function (response) {
                                    if (response.status === "success") {
                                        window.open(response.url, "_self")
                                        Swal.fire("Done!", "Log In successful!", "success");
                                    } else {
                                        Swal.fire("Cancelled!", response.msg, "error");
                                    }
                                    Swal.hideLoading();
                                },
                                error: function (response) {
                                    Swal.fire("Error!", response.responseJSON.message, "error");
                                    Swal.hideLoading();
                                }
                            });
                        });
                    },
                })
            }
        })
    });
</script>
</body>
<!--end::Body-->
</html>
