<!DOCTYPE html>
<html lang="en" >
<!--begin::Head-->

<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<head>
    <title>{{env("APP_NAME")}}</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta charset="utf-8"/>
    <meta name="description" content="{{env("APP_NAME")}}"/>
    <meta name="keywords" content="{{env("APP_NAME")}}"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta property="og:locale" content="en_US" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="{{env("APP_NAME")}}" />
    <link rel="shortcut icon" href="{{asset("zeonpos.png")}}"/>
    <!--begin::Fonts(mandatory for all pages)-->
    <link rel="stylesheet" href="{{asset("fonts")}}"/>
    <!--end::Fonts-->

    <!--begin::Global Stylesheets Bundle(mandatory for all pages)-->
    <link href="{{url("assets/plugins/global/plugins.bundle.css")}}" rel="stylesheet" type="text/css"/>
    <link href="{{url("assets/css/style.bundle.css")}}" rel="stylesheet" type="text/css"/>
    <!--end::Global Stylesheets Bundle-->
</head>
<!--end::Head-->

<!--begin::Body-->
<body  id="kt_body"  class="auth-bg bgi-size-cover bgi-attachment-fixed bgi-position-center bgi-no-repeat" >
<!--begin::Theme mode setup on page load-->

<!--end::Theme mode setup on page load-->

<!--begin::Main-->
<!--begin::Root-->
<div class="d-flex flex-column flex-root">

    <!--begin::Authentication - Sign-in -->
    <div class="d-flex flex-column flex-column-fluid flex-lg-row" style="background-color: lightgrey;">
        <!--begin::Aside-->
        <div class="d-flex flex-center w-lg-50 pt-15 pt-lg-0 px-10">
            <!--begin::Aside-->
            <div class="d-flex flex-center flex-lg-start flex-column">
                <!--begin::Logo-->
                <a href="{{url("/")}}" class="mb-0">
                    <img alt="Logo" src="{{url("zeonpos_logo.png")}}" style="width: 205px;"/>
                </a>
                <!--end::Logo-->

                <!--begin::Title-->
                <h2 class="text-white fw-normal d-none m-0 text-center">
                    {{env("APP_NAME")}} Point of Sale
                </h2>
                <!--end::Title-->
            </div>
            <!--begin::Aside-->
        </div>
        <!--begin::Aside-->

        <!--begin::Body-->
        <div class="d-flex flex-column-fluid flex-lg-row-auto justify-content-center justify-content-lg-end p-12 p-lg-20">
            <!--begin::Card-->
            <div class="bg-body d-flex flex-column align-items-stretch flex-center rounded-4 w-md-600px p-20">
                <!--begin::Wrapper-->
                <div class="d-flex flex-center flex-column flex-column-fluid px-lg-10 pb-15 pb-lg-20">
                    <!--begin::Form-->
                    <form class="form w-100 fv-plugins-bootstrap5 fv-plugins-framework" novalidate="novalidate" id="signInForm" action="#">
                        <!--begin::Heading-->
                        <div class="text-center mb-11">
                            <!--begin::Title-->
                            <h1 class="text-dark fw-bolder mb-3"> Sign In </h1>
                            <!--end::Title-->
                            <!--begin::Subtitle-->
                            <div class="text-gray-500 fw-semibold fs-6">{{env("APP_NAME")}}</div>
                            <!--end::Subtitle--->
                        </div>
                        <!--begin::Heading-->
                        <!--begin::Input group--->
                        <div class="fv-row mb-8 fv-plugins-icon-container">
                            <!--begin::Email-->
                            <input type="text" placeholder="Email" name="email" autocomplete="off" class="form-control bg-transparent">
                            <!--end::Email-->
                            <div class="fv-plugins-message-container invalid-feedback"></div>
                        </div>
                        <!--end::Input group--->
                        <div class="fv-row mb-3 fv-plugins-icon-container">
                            <!--begin::Password-->
                            <input type="password" placeholder="Password" name="password" autocomplete="off" class="form-control bg-transparent">
                            <!--end::Password-->
                            <div class="fv-plugins-message-container invalid-feedback"></div>
                        </div>
                        <!--end::Input group--->
                        <!--begin::Wrapper-->
                        <div class="d-flex flex-stack flex-wrap gap-3 fs-base fw-semibold mb-8 d-none">
                            <div></div>
                            <!--begin::Link-->
                            <a href="{{url("pos_login")}}" class="link-primary"> Forgot Password? </a>
                            <!--end::Link-->
                        </div>
                        <!--end::Wrapper-->
                        <!--begin::Submit button-->
                        <div class="d-grid mb-10 mt-10">
                            <a href="{{url("#")}}" class="btn btn-dark btn-primary submitBtn">
                                <!--begin::Indicator label-->
                                <span class="indicator-label"> Sign In</span>
                                <!--end::Indicator label-->
                                <!--begin::Indicator progress-->
                                <span class="indicator-progress"> Please wait... <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                    </span>
                                <!--end::Indicator progress-->
                            </a>
                        </div>
                        <!--end::Submit button-->
                    </form>
                    <!--end::Form-->
                </div>
                <!--end::Wrapper-->
            </div>
            <!--end::Card-->
        </div>
        <!--end::Body-->
    </div>
    <!--end::Authentication - Sign-in-->	</div>

<!--end::Root-->
<!--end::Main-->


<!--begin::Javascript-->
<script>
    var hostUrl = "assets/index.html";
</script>

<!--begin::Global Javascript Bundle(mandatory for all pages)-->
<script src="{{url("assets/plugins/global/plugins.bundle.js")}}"></script>
<script src="{{url("assets/js/scripts.bundle.js")}}"></script>
<!--end::Global Javascript Bundle-->


<!--begin::Custom Javascript(used for this page only)-->
<script src="{{url("assets/js/custom/authentication/sign-in/general.js")}}"></script>
<!--end::Custom Javascript-->
<!--end::Javascript-->

<!--begin::Custom Javascript(used for this page only)-->
<script src="{{url("assets/js/widgets.bundle.js")}}"></script>
<script src="{{url("assets/js/custom/widgets.js")}}"></script>
<script src="{{url("assets/js/custom/apps/chat/chat.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/upgrade-plan.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/create-campaign.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/create-app.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/new-card.js")}}"></script>
<script src="{{url("assets/js/custom/utilities/modals/users-search.js")}}"></script>
<script src="{{url("assets/js/jquery.form.min.js")}}" integrity="sha384-qlmct0AOBiA2VPZkMY3+2WqkHtIQ9lSdAsAn5RUJD/3vA5MKDgSGcdmIv4ycVxyn" crossorigin="anonymous"></script>
<!--end::Custom Javascript-->
<!--end::Javascript-->
<script>
    $(document).ready(function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $(document).on("click", ".submitBtn", function (e) {
            e.preventDefault();
            var error = false;

            if (!error) {

                Swal.fire({
                    title: 'Are you sure?',
                    html: "You will be logged in",
                    icon: 'info',
                    buttonsStyling: false,
                    showCancelButton: true,
                    allowOutsideClick: false,
                    allowEscapeKey: false,
                    allowEnterKey: false,
                    showLoaderOnConfirm: true,
                    confirmButtonText: 'Yes, login now!',
                    cancelButtonText: 'No, chill out',
                    customClass: {
                        confirmButton: 'btn btn-primary',
                        cancelButton: 'btn btn-danger'
                    },
                    preConfirm: () => {
                        return new Promise(() => {
                            $("#signInForm").ajaxSubmit({
                                type: "POST",
                                url: "sign_in",
                                dataType: "json",
                                success: function (response) {
                                    if (response.status === "success") {
                                        window.open(response.url, "_self")
                                        Swal.fire("Done!", "Log In successful!", "success");
                                    } else {
                                        Swal.fire("Cancelled!", response.msg, "error");
                                    }
                                    Swal.hideLoading();
                                },
                                error: function (response) {
                                    Swal.fire("Error!", response.responseJSON.message, "error");
                                    Swal.hideLoading();
                                }
                            });
                        });
                    },
                })
            }
        })
    });
</script>
</body>
<!--end::Body-->
</html>
