@extends('layouts.master')

@section('title', env('APP_NAME'))

@section('content')

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Orders</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <li class="breadcrumb-item text-gray-600">
                        <a href="{{url("/")}}" class="text-gray-600 text-hover-primary">
                            Home
                        </a>
                    </li>
                    <li class="breadcrumb-item text-gray-600">Orders</li>
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
            <!--begin::Actions-->
            <div class="d-flex align-items-center">
                <!--begin::Daterange-->
                <a
                    href="#"
                    class="btn btn-flex bg-body h-35px h-lg-40px px-5"
                    id="date"
                    data-bs-toggle="tooltip"
                    data-bs-dismiss="click"
                    data-bs-trigger="hover"
                    title="Select Date"
                >
                    <span class="me-4">
                        <span
                            class="text-muted fw-semibold me-1"
                            id="kt_dashboard_daterangepicker_title"
                        >Select Date:</span
                        >
                        <span
                            class="text-primary fw-bold"
                            id="dateText"
                        >
                            Apr 23
                        </span>
                    </span>
                    <i class="ki-duotone ki-down fs-4 m-0"></i>
                </a>
                <!--end::Daterange-->
            </div>
            <!--end::Actions-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <div class="row g-5 g-lg-10">

                <div class="col-xl-3 mb-xl-10 col-12">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-primary fs-4">Order Amount (<span class="totalOrders">0</span>)</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary">₦<span id="totalOrderAmount">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10 col-6">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-info fs-4">Discount Amount</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-info btn-active-light-info">₦<span id="totalDiscountAmount">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10 col-6">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-success fs-4">Payment Amount</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-success btn-active-light-success">₦<span id="totalPaymentAmount">0.00</span></a>
                        </div>
                    </div>
                </div>

                <div class="col-xl-3 mb-xl-10 col-6">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-3 h-xl-100">
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-danger fs-4">Balance Amount</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <a href="#" class="btn btn-lg btn-outline btn-outline-dashed btn-outline-danger btn-active-light-danger">₦<span id="totalBalanceAmount">0.00</span></a>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </div>

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <div class="card-header border-0 pt-6">
                    <div class="card-title">
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Orders"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    
                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <a
                                href="point_of_sale?computerId=1"
                                class="btn btn-danger"
                                target="_blank"
                            >
                                Add Order
                            </a>
                        </div>
                        <!--end::Toolbar-->
                    </div>
                    <!--end::Card toolbar-->

                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="ordersTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-70px">Order No</th>
                            <th class="min-w-100px">Cashier</th>
                            <th class="min-w-75px">Date</th>
                            <th class="min-w-75px">Status</th>
                            <th class="min-w-150px">Customer</th>
                            <th class="min-w-100px">Amount to Pay</th>
                            <th class="min-w-100px">Discount</th>
                            <th class="min-w-100px">Amount Paid</th>
                            <th class="min-w-100px">Balance</th>
                            <th class="text-end min-w-70px">Action</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                </div>
            </div>


            <div id="scan_toast_container" class="toast-container position-fixed top-0 end-0 p-3 z-index-10000">
                
            </div>

            <div class="modal fade" tabindex="-1" id="viewOrderPaymentsModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Order Payments</h3>
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>

                        <div class="modal-body py-10 px-lg-17">

                            <form id="addOrderPaymentForm">
                                <input class="d-none orderId" name="orderId" value="">
                                <div class="form-group row">
                                    <div class="col-md-3">
                                        <label class="form-label">Amount Paid</label>
                                        <input tpe="text" name="paymentAmount" class="form-control mb-2 mb-md-0 paymentAmount" placeholder="Payment Amount" />
                                    </div>
                                    <div class="col-md-4">
                                        <label class="required fs-6 fw-semibold mb-1">Select Payment Method</label>
                                        <select class="paymentMethodId" name="paymentMethodId" data-dropdown-parent="#viewOrderPaymentsModal">
                                            @foreach($paymentMethods as $paymentMethod)
                                                <option value="{{$paymentMethod->id}}">{{$paymentMethod->payment_method_name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <label class="form-label">Payment Date</label>
                                        <input type="date" class="form-control form-control-solid paymentDate" placeholder="Payment Date" name="paymentDate" value="{{\Illuminate\Support\Carbon::now()->format("Y-m-d")}}" />
                                    </div>
                                    <div class="col-md-2 mt-md-7">
                                        <button type="button"
                                            class="btn btn-primary mt-1 rounded-1 addOrderPayment">
                                            Save
                                        </button>
                                    </div>
                                </div>
                                <hr/>
                                <div class="mt-3">
                                    <div class="justify-content-between">
                                        <i
                                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                        ><span class="path1"></span><span class="path2"></span
                                            ></i>
                                        <input
                                            id="searchInput"
                                            type="text"
                                            data-kt-customer-table-filter="searchpayments"
                                            class="form-control mb-5 form-control-solid w-250px ps-12"
                                            placeholder="Search Payments"
                                        />
                                    </div>
                                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="paymentsTable">
                                        <thead>
                                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                            <th class="min-w-125px">Amount Paid</th>
                                            <th class="min-w-150px">Payment Method</th>
                                            <th class="min-w-150px">Date Paid</th>
                                            <th class="min-w-150px text-end">Cleared By</th>
                                        </tr>
                                        </thead>
                                        <tbody class="fw-semibold text-gray-600">

                                        </tbody>
                                    </table>
                                </div>
                            </form>
                        </div>

                    </div>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="viewItemOrdersModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Item Orders</h3>

                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>

                        <div class="modal-body py-10 px-lg-17">
                            <div class="justify-content-between">
                                <i
                                    class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                ><span class="path1"></span><span class="path2"></span
                                    ></i>
                                <input
                                    id="searchInput"
                                    type="text"
                                    data-kt-customer-table-filter="searchitems"
                                    class="form-control mb-5 form-control-solid w-250px ps-12"
                                    placeholder="Search Items"
                                />
                            </div>
                            <table class="table align-middle table-row-dashed fs-6 gy-5" id="orderItemsTable">
                                 <thead>
                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                        <th class="min-w-125px">Item Name</th>
                                        <th class="min-w-125px">Category Name</th>
                                        <th class="min-w-125px">Quantity</th>
                                        <th class="text-end min-w-70px">Amount</th>
                                    </tr>
                                 </thead>
                                 <tbody class="fw-semibold text-gray-600">
                                 </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>

        </div>
        <!--end::Post-->

    </div>
    <!--end::Container-->

@endsection

@section("footer-links")
    <script type="text/javascript" src="{{url("assets/js/jquery.scannerdetection.js")}}"></script>
    
    <script>
        const scanToastContainer = document.getElementById('scan_toast_container');

        function showToast(message, type = 'success', icon = 'ki-outline-info') {
            const toastElement = document.createElement('div');
            toastElement.className = `toast text-bg-${type} rounded-m`;
            toastElement.role = 'alert';
            toastElement.ariaLive = 'assertive';
            toastElement.ariaAtomic = 'true';

            toastElement.innerHTML = `
                    <div class="toast-header">
                        <i class="ki-duotone ${icon} fs-3 text-${type}"><span class="path1"></span><span class="path2"></span></i>
                        <strong class="me-auto">Scan Alert!</strong>
                        <small>1 second ago</small>
                        <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
                    </div>
                    <div class="toast-body fw-semibold text-white">
                        ${message}
                    </div>
            `;

            scanToastContainer.append(toastElement);

            const toast = bootstrap.Toast.getOrCreateInstance(toastElement);
            toast.show();

            toastElement.addEventListener('hidden.bs.toast', () => {
                toastElement.remove();
            });
        }

        let order_items = "No";

        $(".addOrder").on("click", function() {
            order_items = "Yes";
        })

        $(document).ready(function() {

            $(document).scannerDetection({
                timeBeforeScanTest: 200,
                avgTimeByChar: 100,
                onComplete: function(barcode, qty){
                    let barcodeExists = $(".barcode").filter(function() {
                        return $(this).val() === barcode;
                    }).length > 0;
                    if (barcodeExists) {
                        let barcodeInput = $(".barcode").filter(function() {
                            return $(this).val() === barcode;
                        });
                        if (barcodeInput.length > 0) {
                            showToast('Item Already in Order', 'warning');
                            let parentItemId = barcodeInput.closest("div[data-repeater-item]").find(".itemId").selectpicker("val");
                        }
                    } else {
                        $(".addItemOrder").click();
                        $(".barcode").last().val(barcode);
                        showToast('Item Added to Order', 'success', 'ki-bold-check-1'); 
                    }
                }
            });

            $(".paymentMethodId").selectpicker();
            $('.itemCategoryId').selectpicker();

            let order_id;
            
            var datatable_payments = $("#paymentsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "view_order_payments?orderId=" + order_id,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
            
            var datatable_item_orders = $("#orderItemsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "view_item_orders?orderId=" + order_id,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
            
            $(document).on("click", ".viewOrder", function(e){
                order_id = $(this).data("id");
                $(".orderId").val(order_id);
                datatable_item_orders.ajax.url("view_item_orders?orderId=" + order_id).load();
            })

            $(document).on("click", ".orderPayments", function(e){
                order_id = $(this).data("id");
                $(".orderId").val(order_id);
                datatable_payments.ajax.url("view_order_payments?orderId=" + order_id).load();
            })
            
            $(document).on('keyup', '[data-kt-customer-table-filter="searchitems"]', function (e) {
                datatable_item_orders.search(e.target.value).draw();
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="searchpayments"]', function (e) {
                datatable_payments.search(e.target.value).draw();
            });

            var start = moment("{!! $startDate !!}", "YYYY-MM-DD");
            var end = moment("{!! $endDate !!}", "YYYY-MM-DD");

            var from = "{!! $startDate !!}";
            var to = "{!! $endDate !!}";

            "use strict";

            var datatable = $("#ordersTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 50,
                "columnDefs": [
                    {
                        "targets": [ 10 ],
                        "visible": false
                    }
                ],
                "ajax": {
                    "url": "ajax_orders?startDate="+from+"&endDate="+to,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            function cb(start, end) {
                from = start.format('YYYY-MM-DD')
                to = end.format('YYYY-MM-DD')
                $("#dateText").html(start.format("ddd, MMM D, YYYY") + " - " + end.format("ddd, MMM D, YYYY"));
                datatable.ajax.url("ajax_orders?startDate=" + from + "&endDate=" + to).load();
                ordersSummary();
            }

            cb(start, end);

            ordersSummary();

            $(document).on("click", ".addOrderPayment", function (e) {
                e.preventDefault();
                var order_id = $(".orderId").val();
                var payment_method_id = $(".paymentMethodId").selectpicker("val");
                var payment_date = $(".paymentDate").val();
                var payment_amount = $(".paymentAmount").val();
                var error = false;
                if(payment_amount){
                    datatable_dispense_store_item_id = order_id;
                    $.ajax({
                        url: 'add_order_payment',
                        method: 'POST',
                        data: {paymentMethodId: payment_method_id, 
                            orderId: order_id, 
                            paymentDate: payment_date,
                            paymentAmount: payment_amount
                        },
                        success: function(response) {
                            datatable_payments.ajax.url("view_payments?orderId=" + order_id).load();
                            datatable.ajax.url("ajax_orders?startDate=" + from + "&endDate=" + to).load();
                        },
                        error: function() {

                        }
                    });
                }
            });

            $("#date").daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    "Today": [moment(), moment()],
                    "Yesterday": [moment().subtract(1, "days"), moment().subtract(1, "days")],
                    "Last 7 Days": [moment().subtract(6, "days"), moment()],
                    "Last 30 Days": [moment().subtract(29, "days"), moment()],
                    "This Month": [moment().startOf("month"), moment().endOf("month")],
                    "Last Month": [moment().subtract(1, "month").startOf("month"), moment().subtract(1, "month").endOf("month")]
                }
            }, function(start, end) {
                cb(start, end);
            });

            $(document).on("click", ".deleteOrderPayment", function (e) {
                var order_payment_id = $(this).data("id");
                var tr = $(this).parents("tr");
                if(order_payment_id){
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Stock Item Payment will be reversed!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    url: "delete_order_payment",
                                    type: "DELETE",
                                    data: {
                                        orderPaymentId: order_payment_id,
                                    },
                                    dataType: "json",
                                    success: function (response){
                                        if(response.status === "failed"){
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }else{
                                            datatable_payments.row(tr).remove().draw(false);
                                            datatable.ajax.url("ajax_orders?startDate=" + from + "&endDate=" + to).load();
                                            ordersSummary();
                                            Swal.fire("Removed!","Stock Item Payment reversed", "success");
                                        }
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            })

            $("#addStoreItemForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Store Item will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addStoreItemForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_store_item",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable_store_items.ajax.reload();
                                            Swal.fire("Done!", "Store Item Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on('click', '.supplierDiv button', function() {
                var selectedItemId = $('select.supplierId').val();
                var supplierDiv = $(this).closest('.supplierDiv');
                var supplierSelect = supplierDiv.find('select.supplierId');
                supplierSelect.hide();
                var parentDiv = supplierSelect.closest('.dropdown');
                var newSupplierSelect = $('<select></select>').addClass('mb-2 supplierId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = supplierSelect.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newSupplierSelect.attr(attributeName, attributeValue);
                    }
                });
                parentDiv.replaceWith(newSupplierSelect);
                $.ajax({
                    url: 'get_suppliers',
                    method: 'GET',
                    success: function(response) {
                        newSupplierSelect.empty();
                        $.each(response.suppliers, function(index, option) {
                            newSupplierSelect.append($('<option></option>').attr('value', option.id).text(option.supplier_name));
                        });
                        newSupplierSelect.selectpicker();
                        newSupplierSelect.selectpicker("val", selectedItemId);
                        newSupplierSelect.selectpicker('toggle');
                    },
                    error: function() {

                    }
                });
            });

            $(document).on('click', '.supplierDiv button', function() {
                var selectedItemId = $('select.supplierId').val();
                var supplierDiv = $(this).closest('.supplierDiv');
                var supplierSelect = supplierDiv.find('select.supplierId');
                supplierSelect.hide();
                var parentDiv = supplierSelect.closest('.dropdown');
                var newSupplierSelect = $('<select></select>').addClass('mb-2 supplierId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = supplierSelect.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newSupplierSelect.attr(attributeName, attributeValue);
                    }
                });
                parentDiv.replaceWith(newSupplierSelect);
                $.ajax({
                    url: 'get_suppliers',
                    method: 'GET',
                    success: function(response) {
                        newSupplierSelect.empty();
                        $.each(response.suppliers, function(index, option) {
                            newSupplierSelect.append($('<option></option>').attr('value', option.id).text(option.supplier_name));
                        });
                        newSupplierSelect.selectpicker();
                        newSupplierSelect.selectpicker("val", selectedItemId);
                        newSupplierSelect.selectpicker('toggle');
                    },
                    error: function() {

                    }
                });
            });

            function ordersSummary(){
                $.ajax({
                    url: 'orders_summary',
                    method: 'GET',
                    data: {startDate: from, endDate: to},
                    success: function(response) {
                        $(".totalOrders").text(response.ordersCount);
                        $("#totalOrderAmount").text(response.totalAmount);
                        $("#totalPaymentAmount").text(response.totalPayment);
                        $("#totalDiscountAmount").text(response.totalDiscount);
                        $("#totalBalanceAmount").text(response.totalBalance);
                    },
                    error: function() {
                        ordersSummary();
                    }
                });
            }

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            function fillItemQty(index){
                let measurementIdName = `itemOrders[${index}][measurementId]`;
                let measurementQuantityName = `itemOrders[${index}][measurementQuantity]`;
                let itemQuantityName = `itemOrders[${index}][orderQuantity]`;
                let selectedRate = $(`select[name='${measurementIdName}'] option:selected`).data("rate");
                let measurementQuantity = $(`input[name='${measurementQuantityName}']`).val();
                var itemQuantity = selectedRate * measurementQuantity;
                $(`input[name='${itemQuantityName}']`).val(itemQuantity);
            }

            $(document).on('change', 'select.measurementId', function() {
                let name = $(this).attr('name');
                let index = name.match(/itemOrders\[(\d+)]\[measurementId]/)[1];
                fillItemQty(index);
            });

            $(document).on('change', 'input.measurementQuantity', function() {
                let name = $(this).attr('name');
                let index = name.match(/itemOrders\[(\d+)]\[measurementQuantity]/)[1];
                fillItemQty(index);
            });

            $(document).on('change', 'select.itemId', function() {
                let name = $(this).attr('name');
                let index = name.match(/itemOrders\[(\d+)]\[itemId]/)[1];
                var selectedItemId = $(this).val();
                var baseMeasurement = $(this).find('option:selected').data('measurement');
                var repeaterItem = $(this).closest('[data-repeater-item]');
                var measurementSelect = repeaterItem.find('select.measurementId');
                var measurementNameSelect = repeaterItem.find('.measurementName');
                measurementSelect.hide();
                var parentDiv = measurementSelect.closest('.dropdown');
                var newMeasurementSelect = $('<select></select>').addClass('mb-2 measurementId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = measurementSelect.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newMeasurementSelect.attr(attributeName, attributeValue);
                    }
                });
                parentDiv.replaceWith(newMeasurementSelect);
                $.ajax({
                    url: 'item_measurements',
                    method: 'GET',
                    data: {itemId: selectedItemId},
                    success: function(response) {
                        measurementNameSelect.val(response.measurementName);
                        newMeasurementSelect.empty();
                        newMeasurementSelect.append($('<option></option>').attr('value', "0").data('rate', 1).text(baseMeasurement));
                        $.each(response.itemMeasurements, function(index, option) {
                            newMeasurementSelect.append($('<option></option>').attr('value', String(option.id)).data('rate', option.quantity).text(option.measurement_name));
                        });
                        newMeasurementSelect.selectpicker("val", "0");
                        newMeasurementSelect.trigger('change');
                        fillItemQty(index);
                    },
                    error: function() {

                    }
                });
            });

            $('#itemOrders').repeater({
                initEmpty: true,
                show: function () {
                    $(this).slideDown();
                    $(this).find('.itemId').selectpicker();
                    $(this).find('.measurementId').selectpicker();
                    $(this).find('.expiryDate').flatpickr();
                },
                hide: function (deleteElement) {
                    $(this).slideUp(deleteElement);
                },
                ready: function () {
                    $('.itemId').selectpicker();
                    $('.measurementId').selectpicker();
                    $('.expiryDate').flatpickr();
                }
            });

            $("#orderDate").flatpickr();

            $("#addOrderForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Order will be added!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addOrderForm").ajaxSubmit({
                                    type: "POST",
                                    url: "add_order",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            ordersSummary();
                                            $("#addOrderForm").resetForm();
                                            datatable.ajax.url("ajax_orders?startDate=" + from + "&endDate=" + to).load();
                                            Swal.fire("Done!", "Order Added", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });
			
			// $(document).on("click", ".orderPayments", function (e){
            //     e.preventDefault();
            //     var order_id = $(this).data("id");
            //     emptyModalOpen();
            //     $.ajax({
            //         type: "GET",
            //         url: "order_payments",
            //         dataType: "json",
            //         data:{
            //             orderId: order_id,
            //         },
            //         success: function (response) {
            //             if (response.status === "success") {
            //                 emptyModalFill(response)
			// 				//$(".paymentMethodId").selectpicker();
            //             } else {
            //                 Swal.fire("Cancelled!", response.message, "error");
            //             }
            //             Swal.hideLoading();
            //             $('#orderPayments').repeater({
            //                 show: function () {
            //                     $(this).slideDown();
            //                     $(this).find('.paymentMethodId').selectpicker();
			// 					$(this).find(".stockStoreItemListId").val("");
            //                     $(this).find(".orderPaymentId").data("id", "");
            //                     $(this).find(".deleteOrderPayment").data("id", "");
            //                 },
            //                 hide: function (deleteElement) {
            //                     var order_payment_id = $(this).find(".orderPaymentId").data("id");
            //                     if(order_payment_id){
            //                         Swal.fire({
            //                             title: 'Are you sure?',
            //                             html: "Stock Item Payment will be removed!",
            //                             icon: 'info',
            //                             buttonsStyling: false,
            //                             showCancelButton: true,
            //                             allowOutsideClick: false,
            //                             allowEscapeKey: false,
            //                             allowEnterKey: false,
            //                             showLoaderOnConfirm: true,
            //                             confirmButtonText: 'Yes, submit it!',
            //                             cancelButtonText: 'No, cancel it',
            //                             customClass: {
            //                                 confirmButton: 'btn btn-primary',
            //                                 cancelButton: 'btn btn-danger'
            //                             },
            //                             preConfirm: () => {
            //                                 return new Promise(() => {
            //                                     $.ajax({
            //                                         url: "delete_order_payment",
            //                                         type: "DELETE",
            //                                         data: {
            //                                             orderPaymentId: order_payment_id,
            //                                         },
            //                                         dataType: "json",
            //                                         success: function (response){
            //                                             if(response.status === "failed"){
            //                                                 Swal.fire("Cancelled!", response.message, "error");
            //                                             }else{
            //                                                 Swal.fire("Removed!","Stock Item Payment Removed", "success");
            //                                                 datatable.ajax.url("ajax_orders?startDate=" + from + "&endDate=" + to).load();
            //                                                 $(this).slideUp(deleteElement);
            //                                             }
            //                                         },
            //                                         error: function (response) {
            //                                             Swal.fire("Error!", response.responseJSON.message, "error");
            //                                             Swal.hideLoading();
            //                                         }
            //                                     });
            //                                 });
            //                             },
            //                         })
            //                     }else{
            //                         $(this).slideUp(deleteElement);
            //                     }
            //                 },
            //                 ready: function () {
            //                     $('.paymentMethodId').selectpicker();
            //                 }
            //             });

            //         },
            //         error: function (response) {
            //             Swal.fire("Error!", response.responseJSON.message, "error");
            //             Swal.hideLoading();
            //             emptyModalClose();
            //         }
            //     });
            // });

            $(document).on("click", ".editOrder", function (e){
                e.preventDefault();
                var order_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_order_form",
                    dataType: "json",
                    data:{
                        orderId: order_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $(".orderId").selectpicker();
                            $(".orderDate").flatpickr();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                        $('#editOrders').repeater({
                            show: function () {
                                $(this).slideDown();
                                $(this).find('.storeItemId').selectpicker();
                                $(this).find('.measurementId').selectpicker();
                                $(this).find('.expiryDate').flatpickr();
                                $(this).find(".stockStoreItemListId").val("");
                                $(this).find(".stockStoreItemListId").data("id", "");
                                $(this).find(".orderListId").data("id", "");
                                $(this).find(".deleteOrderList").data("id", "");
                            },
                            hide: function (deleteElement) {
                                var order_list_id = $(this).find(".orderListId").data("id");
                                if(order_list_id){
                                    Swal.fire({
                                        title: 'Are you sure?',
                                        html: "Store Item will be removed!",
                                        icon: 'info',
                                        buttonsStyling: false,
                                        showCancelButton: true,
                                        allowOutsideClick: false,
                                        allowEscapeKey: false,
                                        allowEnterKey: false,
                                        showLoaderOnConfirm: true,
                                        confirmButtonText: 'Yes, submit it!',
                                        cancelButtonText: 'No, cancel it',
                                        customClass: {
                                            confirmButton: 'btn btn-primary',
                                            cancelButton: 'btn btn-danger'
                                        },
                                        preConfirm: () => {
                                            return new Promise(() => {
                                                $.ajax({
                                                    url: "delete_order_list",
                                                    type: "DELETE",
                                                    data: {
                                                        orderListId: order_list_id,
                                                    },
                                                    dataType: "json",
                                                    success: function (response){
                                                        if(response.status === "failed"){
                                                            Swal.fire("Cancelled!", response.message, "error");
                                                        }else{
                                                            Swal.fire("Removed!","Store Item Removed", "success");
                                                            datatable.ajax.url("ajax_orders?startDate=" + from + "&endDate=" + to).load();
                                                            $(this).slideUp(deleteElement);
                                                        }
                                                    },
                                                    error: function (response) {
                                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                                        Swal.hideLoading();
                                                    }
                                                });
                                            });
                                        },
                                    })
                                }else{
                                    $(this).slideUp(deleteElement);
                                }
                            },
                            ready: function () {
                                $('.storeItemId').selectpicker();
                                $('.supplierId').selectpicker();
                                $('.measurementId').selectpicker();
                                $('.expiryDate').flatpickr();
                            }
                        });

                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });
            });

            function createRepeater(number) {
                for (var i = 1; i <= number; i++) {
                    var elementId = '#editOrders' + i;
                    $(elementId).repeater({
                        initEmpty: false,
                        show: function () {
                            $(this).slideDown();
                            $(this).find('.storeId').selectpicker();
                        },
                        hide: function (deleteElement) {
                            var stock_store_item_list_id = $(this).find('.stockStoreItemListId').val();
                            if(stock_store_item_list_id){
                                Swal.fire({
                                    title: 'Are you sure?',
                                    html: "Stock Store Item List will be removed!",
                                    icon: 'info',
                                    buttonsStyling: false,
                                    showCancelButton: true,
                                    allowOutsideClick: false,
                                    allowEscapeKey: false,
                                    allowEnterKey: false,
                                    showLoaderOnConfirm: true,
                                    confirmButtonText: 'Yes, submit it!',
                                    cancelButtonText: 'No, cancel it',
                                    customClass: {
                                        confirmButton: 'btn btn-primary',
                                        cancelButton: 'btn btn-danger'
                                    },
                                    preConfirm: () => {
                                        return new Promise(() => {
                                            $.ajax({
                                                url: "delete_stock_store_item_list",
                                                type: "DELETE",
                                                data: {
                                                    stockStoreItemListId: stock_store_item_list_id,
                                                },
                                                dataType: "json",
                                                success: function (response){
                                                    if(response.status === "failed"){
                                                        Swal.fire("Cancelled!", response.message, "error");
                                                    }else{
                                                        Swal.fire("Removed!","Stock Store Item Removed", "success");ordersSummary();
                                                        datatable.ajax.url("ajax_orders?startDate=" + from + "&endDate=" + to).load();
                                                        $('.totalStockAmount').html(response.totalStockAmount);
                                                        $('.totalStock').html(response.totalStock);
                                                        $('.unStoredStocks').html(response.unStoredStocks);
                                                        $(this).slideUp(deleteElement);
                                                    }
                                                },
                                                error: function (response) {
                                                    Swal.fire("Error!", response.responseJSON.message, "error");
                                                    Swal.hideLoading();
                                                }
                                            });
                                        });
                                    },
                                })
                            }
                            else{
                                $(this).slideUp(deleteElement);
                            }
                        },
                        ready: function () {

                        }
                    });
                }
            }

            $(document).on("click", ".deleteOrder", function (e){
                e.preventDefault();
                var order_id = $(this).data("id");
                var error = false;
                var tr = $(this).parents("tr");

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Order will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_order",
                                    dataType: "json",
                                    data:{
                                        orderId: order_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            Swal.fire("Done!", "Order Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".printBill", function(e){
                var orderId = $(this).data("i_d");
                window.open("print_customer_bill?orderId="+orderId, "_blank");
            })

        });
    </script>

@endsection

