@extends('layouts.master')

@section('title', env('APP_NAME'))

@section('content')

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Settings</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="{{url("/")}}"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Payment Methods</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container all-content" class="d-flex flex-column-fluid align-items-start container-xxl branches all-content" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                id="searchInput"
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Payment Methods"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >

                            <button
                                type="button"
                                class="btn btn-warning"
                                data-bs-toggle="modal"
                                data-bs-target="#addPaymentMethodModal"
                            >
                                Add Payment Method
                            </button>
                        </div>
                        <!--end::Toolbar-->

                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="paymentMethodsTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-125px">Payment Method Name</th>
                            <th class="min-w-125px">Payment Method Status</th>
                            <th class="text-end min-w-70px">Actions</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->

            </div>
            <!--end::Card-->

            <div class="modal fade" tabindex="-1" id="addPaymentMethodModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addPaymentMethodForm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add Payment Method</h3>
                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                            </div>

                            <div class="modal-body py-10 px-lg-17">
                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Name</label>
                                    <input type="text" class="form-control form-control-solid" placeholder="Enter payment method name" name="paymentMethodName" value="" />
                                </div>
                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Status</label>
                                    <div class="form-check form-switch form-check-custom form-check-solid">
                                        <input class="form-check-input" type="checkbox" value="Active" id="paymentMethodStatus" name="paymentMethodStatus" checked="checked">
                                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="paymentMethodStatus">
                                            Active
                                        </label>
                                    </div>
                                </div>

                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>

                        </div>
                    </form>
                </div>
            </div>


        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->


@endsection

@section("footer-links")

    <script>
        $(document).ready(function() {

            "use strict";

            var datatable = $("#paymentMethodsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 10,
                "ajax": {
                    "url": "ajax_payment_methods",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            $(document).on("click", ".editPaymentMethod", function (e){
                e.preventDefault();
                var payment_method_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_payment_method_form",
                    dataType: "json",
                    data:{
                        paymentMethodId: payment_method_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $("#paymentMethodCategory").selectpicker();
                            var imageInputElement = document.querySelector("#editPaymentMethodLogo");
                            var imageInput = new KTImageInput(imageInputElement);
                            imageInput.on("kt.imageinput.change", function() {
                            });
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $(document).on("click", ".deletePaymentMethod", function (e){
                e.preventDefault();
                var payment_method_id = $(this).data("id");
                var tr = $(this).parents("tr");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Payment Method will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_payment_method",
                                    dataType: "json",
                                    data:{
                                        paymentMethodId: payment_method_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            Swal.fire("Done!", "Payment Method Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addPaymentMethodForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Payment Method will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addPaymentMethodForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_payment_method",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            $("#addPaymentMethodForm").resetForm();
                                            $(".select").selectpicker('val', '');
                                            resetImgPreview();
                                            datatable.ajax.reload();
                                            close_modal()
                                            Swal.fire("Done!", "Payment Method Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("submit", "#editPaymentMethodForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Payment Method will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editPaymentMethodForm").ajaxSubmit({
                                    type: "POST",
                                    url: "edit_payment_method",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            close_modal()
                                            Swal.fire("Done!", "Payment Method Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

        });
    </script>

@endsection

