@extends('layouts.master')

@section('title', env('APP_NAME'))

@section('content')

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Reports</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="{{url("/")}}"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Purchases Report</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
            <!--begin::Actions-->
            <div class="d-flex align-items-center">
                <!--begin::Daterange-->

                <!--end::Daterange-->
            </div>
            <!--end::Actions-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->


    <div id="kt_content_container" class=" container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
                <div class="card z-depth-1">
                    <div class="row px-5 py-5">
                        <div class="col-lg-4 col-12">
                            <div class=" border rounded-3 form-solid">
                                <a
                                href="javascript:;"
                                class="btn btn-flex bg-body h-35px h-lg-40px px-5"
                                id="date"
                                data-bs-toggle="tooltip"
                                data-bs-dismiss="click"
                                data-bs-trigger="hover"
                                title="Select Date"
                            >
                                <span class="me-2">
                                    <span
                                        class="text-primary fw-bold"
                                        id="dateText"
                                    >
                                    </span>
                                </span>
                                <i class="ki-duotone ki-down fs-4 m-0"></i>
                            </a>
                        </div>
                        </div>
                        <div class="col-lg-4 col-12">
                            <select class="select itemCategoryId" name="itemCategoryId" data-placeholder="ALL CATEGORIES" data-live-search="true" data-width="100%" data-dropdown-parent="#addItemModal">
                                <option>ALL CATEGORIES</option>
                                @foreach($itemCategories as $itemCategory)
                                <option value="{{$itemCategory->id}}">{{$itemCategory->item_category_name}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="col-lg-4 col-12 text-end">
                            <a href="javascript:;" class="btn btn-m btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary p-3 z-depth-1 totalPurchasesAmount">₦{{number_format(0.00, 2)}}</a>
                        </div>
                    </div>
                </div>
            </div>
    </div>


    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Items"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="purchasesReportTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-175px">Item Name</th>
                            <th class="min-w-125px">Category Name</th>
                            <th class="min-w-75px">Total Purchases</th>
                            <th class="min-w-125px">Measurements</th>
                            <th class="min-w-125px">Total Amount</th>
                            <th class="text-end min-w-70px">Actions</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->
        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

    <div class="modal fade" tabindex="-1" id="viewPurchasesModal">
        <div class="modal-dialog mw-1000px">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">View Purchases</h3>

                    <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                        <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                    </div>
                </div>

                <div class="modal-body py-10 px-lg-17">
                    <div class="justify-content-between">
                        <i
                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                        ><span class="path1"></span><span class="path2"></span
                            ></i>
                        <input
                            type="text"
                            data-kt-customer-table-filter="searchitempurchases"
                            class="form-control mb-5 form-control-solid w-250px ps-12"
                            placeholder="Search Item Purchases"
                        />
                    </div>
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="itemPurchasesTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-200px">Action</th>
                            <th class="min-w-200px">Barcode</th>
                            <th class="min-w-200px">Quantity</th>
                            <th class="min-w-200px">Measurements</th>
                            <th class="min-w-200px">Supplier</th>
                            <th class="min-w-200px">Invoice Number</th>
                            <th class="min-w-200px">Date Supplied</th>
                            <th class="min-w-200px text-end">Amount</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">

                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>

@endsection

@section("footer-links")

    <script>
        $(document).ready(function() {

            var start = moment("{!! $startDate !!}", "YYYY-MM-DD");
            var end = moment("{!! $endDate !!}", "YYYY-MM-DD");

            var from = "{!! $startDate !!}";
            var to = "{!! $endDate !!}";

            var initFrom = moment().startOf('month').format('YYYY-MM-DD');
            var initTo = moment().endOf('month').format('YYYY-MM-DD');

            var itemCategoryId = "{!! $itemCategoryId !!}";

            let itemId, itemCategory, branchId;

            var datatable = $("#purchasesReportTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "ajax_purchases_report?startDate="+from+"&endDate="+to+"&itemCategoryId="+itemCategoryId,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        $(".totalPurchasesAmount").text(response.totalPurchasesAmount);
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                scrollX: true,
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            var datatable_item_purchases = $("#itemPurchasesTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "ajax_item_purchases_report?itemId=" + itemId + "startDate="+from+"&endDate="+to,
                    "type": "GET",
                    "data": function ( d ) {
                        $(".card-body-loader").hide();
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
            
            function cb(start, end) {
                from = start.format('YYYY-MM-DD')
                to = end.format('YYYY-MM-DD')
                itemCategoryId = $(".itemCategoryId").selectpicker("val");
                $("#dateText").html(start.format("ddd, MMM D, YYYY") + " - " + end.format("ddd, MMM D, YYYY"));
                datatable.ajax.url("ajax_purchases_report?startDate="+from+"&endDate="+to+"&itemCategoryId="+itemCategoryId).load();
            }

            cb(start, end);

            $("#date").daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    "Today": [moment(), moment()],
                    "Yesterday": [moment().subtract(1, "days"), moment().subtract(1, "days")],
                    "Last 7 Days": [moment().subtract(6, "days"), moment()],
                    "Last 30 Days": [moment().subtract(29, "days"), moment()],
                    "This Month": [moment().startOf("month"), moment().endOf("month")],
                    "Last Month": [moment().subtract(1, "month").startOf("month"), moment().subtract(1, "month").endOf("month")]
                }
            }, function(start, end) {
                cb(start, end);
            });

            $(document).on("click", ".viewPurchases", function (e){
                e.preventDefault();
                itemId = $(this).data("id");
                datatable_item_purchases.ajax.url("ajax_item_purchases_report?startDate="+from+"&endDate="+to+"&itemId="+itemId).load();
            });

            $(document).on("change", ".itemCategoryId", function (e){
                itemCategoryId = $(".itemCategoryId").selectpicker("val");
                datatable.ajax.url("ajax_purchases_report?startDate="+from+"&endDate="+to+"&itemCategoryId="+itemCategoryId).load();
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="searchitempurchases"]', function (e) {
                datatable_item_purchases.search(e.target.value).draw();
            });

        });
    </script>

@endsection

