@extends('layouts.master')

@section('title', env('APP_NAME'))

@section('content')

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Sales</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="{{url("/")}}"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Sale Items</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->


    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <div class="row g-5 g-lg-10">
                <div class="col-xl-6 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-1 h-xl-100">
                        <!--begin::Body-->
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-primary fs-4">Total Item</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <p class="text-dark-75 fw-semibold fs-5 m-0"><span class="badge badge-light-primary badge-lg saleItemCount">0</span></p>
                        </div>
                        <!--end::Body-->
                    </div>
                </div>
                <div class="col-xl-6 mb-xl-10">
                    <div class="card bgi-no-repeat bgi-position-y-top bgi-position-x-end statistics-widget-2 h-xl-100">
                        <!--begin::Body-->
                        <div class="card-body">
                            <a href="#" class="card-title fw-bold text-muted text-hover-primary fs-4">Total Category</a>
                            <div class="fw-bold text-primary my-6"></div>
                            <p class="text-dark-75 fw-semibold fs-5 m-0"><span class="saleItemCategoryCount badge badge-light-success badge-lg">0</span></p>
                        </div>
                        <!--end::Body-->
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Item"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <button
                                type="button"
                                class="btn btn-danger"
                                data-bs-toggle="modal"
                                data-bs-target="#addSaleItemModal"
                                style="margin-right: 10px;"
                            >
                                Add Sale Item
                            </button>
                            <button
                                type="button"
                                class="btn btn-primary viewCategoryList"
                                data-bs-toggle="modal"
                                data-bs-target="#viewCategoryModal"
                                style="margin-right: 10px;"
                            >
                                Category List
                            </button>
                            <!--begin::Add customer-->
                            <button
                                type="button"
                                class="btn btn-dark viewGroupList"
                                data-bs-toggle="modal"
                                data-bs-target="#viewGroupModal"
                            >
                                Group List
                            </button>
                        </div>
                        <!--end::Toolbar-->
                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="saleItemsTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            {{--<th class="min-w-125px">Item Image</th>--}}
                            <th class="min-w-125px">Item Name</th>
                            <th class="min-w-125px">Branch Name</th>
                            <th class="min-w-125px">Branch(es)</th>
                            <th class="min-w-125px">Kitchen Name</th>
                            <th class="min-w-125px">Category Name</th>
                            <th class="min-w-125px">Item Price</th>
                            <th class="min-w-125px">Status</th>
                            <th class="min-w-125px">Online Status</th>
                            <th class="text-end min-w-70px">Actions</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->

            <div class="modal fade" tabindex="-1" id="viewCategoryModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Category List</h3>

                            <!--begin::Close-->
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                            <!--end::Close-->
                        </div>

                        <div class="modal-body">
                            <div class="card-body category-div pt-0">

                            </div>
                            <div class="card-body-loader" style="text-align: center">
                                <!-- Progress enabled state -->
                                <button type="button" class="btn btn-primary" data-kt-indicator="on">
                                    <span class="indicator-label">
                                        Submit
                                    </span>
                                    <span class="indicator-progress">
                                        Please wait...
                                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                                    </span>
                                </button>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary" data-bs-dismiss="modal" data-bs-stacked-modal="#addCategoriesModal">
                                Add Category
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="addSaleItemModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addSaleItemForm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add Sale Item</h3>

                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                            </div>

                            <div class="modal-body py-10 px-lg-17">

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Branch</label>
                                    <select class="select mb-2" name="branchId" data-live-search="true" data-width="100%" data-placeholder="Select branch" data-dropdown-parent="#addSaleItemModal">
                                        @foreach($branches as $index => $branch)
                                            <option value="{{$branch->id}}" {{ $index === 0 ? 'selected' : '' }}>{{$branch->branch_name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Branch(es)</label>
                                    <select class="select mb-2" name="branchIds[]" multiple data-live-search="true" data-width="100%" data-placeholder="Select branch(es)" data-dropdown-parent="#addSaleItemModal">
                                        @foreach($branches as $branch)
                                            <option value="{{$branch->id}}">{{$branch->branch_name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="row mb-5">
                                    <div class="col-xl-0">
                                        <div class="fs-6 fw-semibold mt-2 mb-3">Item Image</div>
                                    </div>
                                    <div class="col-12">
                                        <div class="rounded border p-10">
                                            <div class="image-input image-input-empty" data-kt-image-input="true" style="background-image: url({{url("setup/menu.jpg")}})">

                                            <div class="image-input-wrapper w-125px h-125px bgi-position-center" style="background-size: 75%; background-image: url({{url("setup/menu.jpg")}})"></div>
                                            <label class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-white shadow" data-kt-image-input-action="change" data-bs-toggle="tooltip" aria-label="Change avatar" data-bs-original-title="Change avatar" data-kt-initialized="1">
                                                <i class="ki-duotone ki-pencil fs-7"><span class="path1"></span><span class="path2"></span></i>
                                                <input type="file" name="saleItemImage" accept=".png, .jpg, .jpeg">
                                                <input type="hidden" name="avatar_remove">
                                            </label>
                                        </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Name</label>
                                    <input type="text" class="form-control form-control-solid" placeholder="Enter Sale Item Name" name="saleItemName" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Item Description</label>
                                    <textarea name="saleItemDescription" placeholder="Enter item description" class="form-control form-control-solid h-100px"></textarea>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Status</label>
                                    <div class="form-check form-switch form-check-custom form-check-solid">
                                        <input class="form-check-input" type="checkbox" value="Active" id="saleItemStatus" name="saleItemStatus" checked="checked">
                                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="saleItemStatus">
                                            Active
                                        </label>
                                    </div>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Online Status</label>
                                    <div class="form-check form-switch form-check-custom form-check-solid">
                                        <input class="form-check-input" type="checkbox" value="Active" id="onlineItemStatus" name="onlineItemStatus" checked="checked">
                                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="onlineItemStatus">
                                            Active
                                        </label>
                                    </div>
                                </div>
                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Can Sell Half Portion?</label>
                                    <div class="form-check form-switch form-check-custom form-check-solid">
                                        <input class="form-check-input" type="checkbox" value="Yes" id="hasHalfPortion" name="hasHalfPortion" >
                                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="hasHalfPortion">
                                           Yes
                                        </label>
                                    </div>
                                </div>
                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Quantity Alert</label>
                                    <input type="number" class="form-control form-control-solid" placeholder="Quantity Alert" name="saleItemQuantityAlert" value="1" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Is Wastable?</label>
                                    <div class="form-check form-switch form-check-custom form-check-solid">
                                        <input class="form-check-input" type="checkbox" value="Yes" id="isWastable" name="isWastable" checked="checked">
                                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="isWastable">
                                            Yes
                                        </label>
                                    </div>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Expiry Alert</label>
                                    <input type="number" class="form-control form-control-solid" placeholder="Expiry Alert" name="saleItemExpiryAlert" value="1" />
                                </div>

                                <div class="fv-row mb-7 saleItemCategories">
                                    <label class="required fs-6 fw-semibold mb-2">Select Category</label>
                                    <select class="select mb-2 saleItemCategoryId" name="saleItemCategoryId" data-placeholder="Select category" data-live-search="true" data-width="100%" data-dropdown-parent="#addSaleItemModal">
                                        <option></option>
                                        @foreach($saleItemCategories as $saleItemCategory)
                                            @php $branch = \App\Models\Branch::find($saleItemCategory->branch_id); @endphp
                                        <option value="{{$saleItemCategory->id}}"> @isset($branch) {{$branch->branch_name}} @else @endisset {{$saleItemCategory->sa_item_category_name}}</option>
                                        @endforeach
                                    </select>
                                    <a href="#" data-bs-stacked-modal="#addCategoriesModal" class="text-primary">Add Category</a>
                                </div>
                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Item Condition Group</label>
                                    <select class="select mb-2" name="itemConditionGroupId" data-live-search="true" data-width="100%" data-placeholder="Select condition group" data-dropdown-parent="#addSaleItemModal">
                                        <option></option>
                                        @foreach($itemConditionGroups as $itemConditionGroup)
                                            <option value="{{$itemConditionGroup->id}}">{{$itemConditionGroup->condition_group_name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Preparation Type</label>
                                    <select class="select mb-2" name="preparationType" data-live-search="true" data-width="100%" data-placeholder="Select preparation type" data-dropdown-parent="#addSaleItemModal">
                                        <option value="PBO">Prepare Before Order</option>
                                        <option value="OBP">Order Before Prepare</option>
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Push to Sale Type</label>
                                    <select class="select mb-2" id="pushToSaleType" name="pushToSaleType" data-placeholder="Select push to sale type" data-live-search="true" data-width="100%" data-dropdown-parent="#addSaleItemModal">
                                        <option value="Kitchen">Kitchen (Push to Sale)</option>
                                        <option value="Store">Store (Push to Sale)</option>
                                        <option value="Store_Kitchen">Store - Station (Push to Sale)</option>
                                    </select>
                                </div>

                                <div class="fv-row mb-7 select2StoreItems">
                                    <label class="required fs-6 fw-semibold mb-2">Select Store Item(s)</label>
                                    <select class="select mb-2" data-live-search="true" data-width="100%" multiple name="storeItemIds[]" data-width="100%" data-live-search="true" data-placeholder="Select store item(s)">
                                        @foreach($storeItems as $storeItem)
                                            <option value="{{$storeItem->id}}">{{$storeItem->st_item_name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="fv-row mb-7 select2Kitchens">
                                    <label class="required fs-6 fw-semibold mb-2">Select Kitchens</label>
                                    <select name="kitchenIds[]" data-live-search="true" data-width="100%" class="form-select-solid select" data-placeholder="Select kitchen(s)" multiple="multiple">
                                        @foreach($kitchens as $kitchen)
                                            <option value="{{$kitchen->id}}">{{$kitchen->kitchen_name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Sale Addon Categories</label>
                                    <select name="saleAddonCategoryIds[]" data-live-search="true" data-width="100%" class="form-select-solid select" data-placeholder="Select addon category(s)" multiple="multiple">
                                        @foreach($saleAddonCategories as $saleAddonCategory)
                                            <option value="{{$saleAddonCategory->id}}">{{$saleAddonCategory->addon_category_name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Prep Item</label>
                                    <select class="select" name="prepItemId" data-width="100%" data-live-search="true" data-placeholder="Select a prep item">
                                        @foreach($prepItems as $prepItem)
                                            <option value="{{$prepItem->id}}">{{$prepItem->prep_item_name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Prep Item Quantity</label>
                                    <input type="text" class="decimal prepItemQuantity form-control form-control-solid" placeholder="Prep Item Quantity" name="prepItemQuantity" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Selling Price</label>
                                    <input type="text" class="decimal saleItemPrice form-control form-control-solid" placeholder="Item Price" name="saleItemPrice" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Online Price</label>
                                    <input type="number" class="decimal saleItemOnlinePrice form-control form-control-solid" placeholder="Online Price" name="saleItemOnlinePrice" value="" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Loyalty Price</label>
                                    <input type="number" class="decimal saleItemLoyaltyPrice form-control form-control-solid" placeholder="Loyalty Price" name="saleItemLoyaltyPrice" value="" />
                                </div>

                                <div class="measurements">
                                    <div class="separator separator-content my-14"><span class="w-125px text-gray-500 fw-semibold fs-7">MEASUREMENTS</span></div>

                                    <div class="form-group row mb-7">
                                        <div class="col-md-8">
                                            <label class="required fs-6 fw-semibold mb-2">Kitchen Prep</label>
                                            <select class="select mb-2" data-live-search="true" data-width="100%" name="kitchenPrep" data-placeholder="Select Kitchen Prep measurement" data-dropdown-parent="#addSaleItemModal">
                                                @foreach($measurements as $index => $measurement)
                                                    <option value="{{$measurement->id}}"  {{ $index === 0 ? 'selected' : '' }}>{{$measurement->measurement_name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="col-md-4 mt-3">
                                            <label class="form-label">Quantity:</label>
                                            <input type="number" value="1" name="kitchenPrepQty" class="form-control mb-2 mb-md-0" placeholder="Quantity" />
                                        </div>
                                    </div>


                                    <div class="form-group row mb-7">
                                        <div class="col-md-8">
                                            <label class="required fs-6 fw-semibold mb-2">Push to Sale</label>
                                            <select class="select mb-2" name="pushToSale" data-live-search="true" data-width="100%" data-placeholder="Select push to sale measurement" data-dropdown-parent="#addSaleItemModal">
                                                @foreach($measurements as $index => $measurement)
                                                    <option value="{{$measurement->id}}"  {{ $index === 0 ? 'selected' : '' }}>{{$measurement->measurement_name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="col-md-4 mt-3">
                                            <label class="form-label">Quantity:</label>
                                            <input type="number" value="1" name="pushToSaleQty" class="form-control mb-2 mb-md-0" placeholder="Quantity" />
                                        </div>
                                    </div>

                                    <div class="form-group row mb-7">
                                        <div class="col-md-8">
                                            <label class="required fs-6 fw-semibold mb-2">Point of Sale</label>
                                            <select class="select mb-2" name="pointOfSale" data-live-search="true" data-width="100%" data-placeholder="Select point of sale measurement" data-dropdown-parent="#addSaleItemModal">
                                                @foreach($measurements as $index => $measurement)
                                                    <option value="{{$measurement->id}}" {{ $index === 0 ? 'selected' : '' }}>{{$measurement->measurement_name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <div class="col-md-4 mt-3">
                                            <label class="form-label">Quantity:</label>
                                            <input type="number" value="1" name="pointOfSaleQty" class="form-control mb-2 mb-md-0" placeholder="Quantity" />
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="addCategoriesModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addCategoriesForm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add Category</h3>
                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                            </div>

                            <div class="modal-body">

                                <div class="fv-row mb-3">
                                    <label class="required fs-6 fw-semibold mb-2">Select Branch</label>
                                    <select class="select mb-2" name="branchId" data-live-search="true" data-width="100%" data-placeholder="Select a branch" data-dropdown-parent="#addCategoriesModal">
                                        @foreach($branches as $index => $branch)
                                            <option value="{{$branch->id}}" {{$index === 0 ? "selected" : ""}}>{{$branch->branch_name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="fv-row mb-3">
                                    <label class="required fs-6 fw-semibold mb-2">Select Branch(es)</label>
                                    <select class="select mb-2" multiple name="branchIds" data-live-search="true" data-width="100%" data-placeholder="Select branch(es)" data-dropdown-parent="#addCategoriesModal">
                                        @foreach($branches as $branch)
                                            <option value="{{$branch->id}}">{{$branch->branch_name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Group</label>
                                    <select class="select mb-2" name="groupId" data-live-search="true" data-width="100%" data-placeholder="Select a group" data-dropdown-parent="#addCategoriesModal">
                                        <option value="">Select a group</option>
                                        @foreach($saleItemCategoryGroups as $saleItemCategoryGroup)
                                            <option value="{{$saleItemCategoryGroup->id}}" >{{$saleItemCategoryGroup->sale_item_category_group_name}}</option>
                                        @endforeach
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <div id="kt_docs_repeater_basic">
                                        <!--begin::Form group-->
                                        <div class="form-group">
                                            <div data-repeater-list="categories">
                                                <div data-repeater-item class="mb-5">
                                                    <div class="form-group row">
                                                        <div class="col-md-9">
                                                            <label class="form-label">Category Name:</label>
                                                            <input type="text" name="categoryName" class="form-control mb-2 mb-md-0" placeholder="Enter category name" />
                                                        </div>
                                                        <div class="col-md-3">
                                                            <a href="javascript:;" data-repeater-delete class="btn btn-sm btn-light-danger mt-3 mt-md-8">
                                                                <i class="ki-duotone ki-trash fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>
                                                                Delete
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!--end::Form group-->

                                        <!--begin::Form group-->
                                        <div class="form-group mt-5">
                                            <a href="javascript:;" data-repeater-create class="btn btn-light-primary">
                                                <i class="ki-duotone ki-plus fs-3"></i>
                                                Add
                                            </a>
                                        </div>
                                        <!--end::Form group-->
                                    </div>
                                </div>
                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="viewGroupModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Group List</h3>

                            <!--begin::Close-->
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                            <!--end::Close-->
                        </div>

                        <div class="modal-body">
                            <div class="card-body group-div pt-0">

                            </div>
                            <div class="card-body-loader" style="text-align: center">
                                <!-- Progress enabled state -->
                                <button type="button" class="btn btn-primary" data-kt-indicator="on">
                                    <span class="indicator-label">
                                        Submit
                                    </span>
                                    <span class="indicator-progress">
                                        Please wait...
                                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                                    </span>
                                </button>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                            <button type="button" class="btn btn-primary" data-bs-dismiss="modal" data-bs-stacked-modal="#addGroupsModal">
                                Add Group
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="addGroupsModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addGroupsForm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add Group</h3>
                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                            </div>

                            <div class="modal-body">

                                <div class="fv-row mb-7">
                                    <div id="kt_docs_repeater_basics">
                                        <!--begin::Form group-->
                                        <div class="form-group">
                                            <div data-repeater-list="groups">
                                                <div data-repeater-item class="mb-5">
                                                    <div class="form-group row">
                                                        <div class="col-md-9">
                                                            <label class="form-label">Group Name:</label>
                                                            <input type="text" name="groupName" class="form-control mb-2 mb-md-0" placeholder="Enter group name" />
                                                        </div>
                                                        <div class="col-md-3">
                                                            <a href="javascript:;" data-repeater-delete class="btn btn-sm btn-light-danger mt-3 mt-md-8">
                                                                <i class="ki-duotone ki-trash fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>
                                                                Delete
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!--end::Form group-->

                                        <!--begin::Form group-->
                                        <div class="form-group mt-5">
                                            <a href="javascript:;" data-repeater-create class="btn btn-light-primary">
                                                <i class="ki-duotone ki-plus fs-3"></i>
                                                Add
                                            </a>
                                        </div>
                                        <!--end::Form group-->
                                    </div>
                                </div>
                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="viewRecipesModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Item Recipe</h3>

                            <!--begin::Close-->
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                            <!--end::Close-->
                        </div>

                        <form id="recipeForm">
                            <div class="modal-body">
                                <div class="card-body category-div-2 pt-0">

                                </div>
                                <div class="card-body-loader-2" style="text-align: center">
                                    <button type="button" class="btn btn-primary" data-kt-indicator="on">
                                        <span class="indicator-label">
                                            Submit
                                        </span>
                                        <span class="indicator-progress">
                                            Please wait...
                                        <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                                        </span>
                                    </button>
                                </div>
                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">
                                    Submit
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            
            <div class="modal fade" tabindex="-1" id="viewSaleItemsRecipeModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Sale Item Recipe</h3>
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>

                        <div class="modal-body py-10 px-lg-17">
                            <form id="addSalePrepItemForm">
                                <input class="d-none saleItemId" name="saleItemId" value="">
                                <div class="form-group row">
                                    <div class="col-md-3">
                                        <label class="form-label">Prep Item Quantity</label>
                                        <input tpe="text" name="prepItemQuantity" class="form-control mb-2 mb-md-0 recipePrepItemQuantity" placeholder="Prep Item Quantity" />
                                    </div>
                                    <div class="col-md-7">
                                        <label class="required fs-6 fw-semibold mb-1">Select Prep Item</label><br/>
                                        <select class="prepItemId select" name="prepItemId" data-live-search="true" data-width="100%" data-dropdown-parent="#viewSaleItemsRecipeModal">
                                            @foreach($prepItems as $prepItem)
                                                @php $kitchenName = isset($prepItem->kitchen_id) ? \App\Models\Kitchen::find($prepItem->kitchen_id)->kitchen_name : "---"; @endphp
                                                <option value="{{$prepItem->id}}">{{$prepItem->prep_item_name}} {{Str::upper($kitchenName)}} ({{Str::upper($prepItem->measurement_name)}})</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="col-md-2 mt-md-7">
                                        <button type="button"
                                            class="btn btn-primary mt-1 rounded-1 addSalePrepItem">
                                            Save
                                        </button>
                                    </div>
                                </div>
                                <hr/>
                                <div class="mt-3">
                                    <div class="justify-content-between">
                                        <i
                                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                        ><span class="path1"></span><span class="path2"></span
                                            ></i>
                                        <input
                                            id="searchInput"
                                            type="text"
                                            data-kt-customer-table-filter="searchsaleprepitems"
                                            class="form-control mb-5 form-control-solid w-250px ps-12"
                                            placeholder="Search Sale Prep Items"
                                        />
                                    </div>
                                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="salePrepItemsTable">
                                        <thead>
                                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                            <th class="min-w-250px">Item</th>
                                            <th class="min-w-100px text-end">Actions</th>
                                        </tr>
                                        </thead>
                                        <tbody class="fw-semibold text-gray-600">

                                        </tbody>
                                    </table>
                                </div>
                            </form>
                        </div>

                    </div>
                </div>
            </div>

        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

@endsection

@section("footer-links")

    <script>
        $(document).ready(function() {

            let sale_item_id;
            
            var datatable_saleprepitems = $("#salePrepItemsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "ajax_recipe?saleItemId=" + sale_item_id,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            $(document).on("click", ".saleItemRecipeItems", function(e){
                sale_item_id = $(this).data("id");
                $(".saleItemId").val(sale_item_id);
                datatable_saleprepitems.ajax.url("ajax_recipe?saleItemId=" + sale_item_id).load();
            })
            
            $(document).on('keyup', '[data-kt-customer-table-filter="searchsaleprepitems"]', function (e) {
                datatable_saleprepitems.search(e.target.value).draw();
            });

            $(document).on("click", ".addSalePrepItem", function (e) {
                e.preventDefault();
                var sale_item_id = $(".saleItemId").val();
                var prep_item_id = $(".prepItemId").selectpicker("val");
                var prep_item_quantity = $(".recipePrepItemQuantity").val();
                var error = false;
                if(prep_item_quantity){
                    $.ajax({
                        url: 'create_recipe_item',
                        method: 'POST',
                        data: {saleItemId: sale_item_id, 
                            prepItemId: prep_item_id, 
                            prepItemQuantity: prep_item_quantity
                        },
                        success: function(response) {
                            datatable_saleprepitems.ajax.url("ajax_recipe?saleItemId=" + sale_item_id).load();
                        },
                        error: function() {

                        }
                    });
                }
            });

            $(document).on("click", ".deleteSalePrepItem", function (e) {
                var recipe_item_id = $(this).data("id");
                var tr = $(this).parents("tr");
                if(recipe_item_id){
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Recipe Item will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    url: "delete_recipe_item",
                                    type: "DELETE",
                                    data: {
                                        recipeItemId: recipe_item_id,
                                    },
                                    dataType: "json",
                                    success: function (response){
                                        if(response.status === "failed"){
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }else{
                                            datatable_saleprepitems.row(tr).remove().draw(false);
                                            Swal.fire("Removed!","Recipe Item deleted!", "success");
                                        }
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            })

            var datatable = $("#saleItemsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "ajax_sale_items",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                dom: 'Bfrtip',
                scrollX: true,
                buttons: [
                    {
                        extend: 'print',
                        text: '<i class="fa fa-print me-2"></i> Print',
                        customize: function(win) {
                            $(win.document.body).find("h1").css({
                                "text-align": "center",
                                "font-size": "16px",
                                "margin-bottom": "15px"
                            }).text("Sale Items");

                            $(win.document.body).find("table").css({
                                "font-size": "10px",
                                "border-collapse": "collapse",
                                "border": "1px solid black",
                                "width": "100%",
                                "table-layout": "fixed"
                            });
                            $(win.document).find("html").css("background", "#ffffff");
                            $(win.document).find("body").css({
                                "background": "#ffffff",
                                "font-size": "10px"
                            });

                            var lastThreeHeaders = $(win.document.body).find("tr th:nth-last-child(-n+3)");
                            $(lastThreeHeaders[0]).text("");
                            $(lastThreeHeaders[1]).text("");
                            $(lastThreeHeaders[2]).text("");

                            $(win.document.body).find("tbody tr").each(function() {
                                $(this).find("td:nth-last-child(-n+3)").remove();
                                $(this).append("<td></td><td></td><td></td>");
                            });

                            $(win.document.body).find("thead tr").prepend("<th>No</th>")
                            var tableBody = $(win.document.body).find("tbody");
                            $(tableBody).find("tr").each(function(index) {
                                $(this).prepend("<td></td>");
                                $(this).find("td:first-child").text(index + 1);
                            });

                            $(win.document.body).find("tr").each(function() {
                                $(this).find("th:first-child, td:first-child").css({
                                    "width": "7%",
                                    "white-space": "wrap","overflow": "hidden",
                                });
                                $(this).find("th:nth-child(2), td:nth-child(2)").css({
                                    "width": "20%",
                                    "white-space": "wrap","overflow": "hidden",
                                });
                                $(this).find("th:nth-child(3), td:nth-child(3), th:nth-child(5), td:nth-child(5)").css({
                                    "width": "10%",
                                    "white-space": "wrap","overflow": "hidden",
                                });
                                $(this).find("th:nth-child(4), td:nth-child(4)").css({
                                    "width": "10%",
                                    "white-space": "wrap","overflow": "hidden",
                                });
                                $(this).find("th:nth-child(6), td:nth-child(6), th:nth-child(7), td:nth-child(7)").css({
                                    "width": "12.5%",
                                    "white-space": "wrap","overflow": "hidden",
                                });

                                $(this).find("th:eq(3), td:eq(3)").remove();
                            });

                            $(win.document.body).find("td").css({
                                "border": ".5px solid black",
                                "padding": "5px",
                                "font-size": "9.5px",
                            });

                            $(win.document.body).find("th").css({
                                "border": ".5px solid black",
                                "font-size": "12px",
                                "font-weight": "900",
                                "padding": "5px"
                            });

                        }
                    }
                ],
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                    $("#saleItemsTable_filter").hide();
                    $('.buttons-print').removeClass("btn-secondary").addClass("btn-dark rounded-1 mt-3");
                }
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $(document).on("change", ".saleItemPrice", function (e) {
                var saleItemPrice = $(this).val();
                $(".saleItemOnlinePrice").val(saleItemPrice);
                $(".saleItemLoyaltyPrice").val(saleItemPrice);
            })

            saleItemsSummary();

            function saleItemsSummary(){
                $.ajax({
                    url: 'sale_items_summary',
                    method: 'GET',
                    success: function(response) {
                        $(".saleItemCategoryCount").text(response.saleItemCategoryCount);
                        $(".saleItemCount").text(response.saleItemCount);
                    },
                    error: function() {
                        saleItemsSummary();
                    }
                });
            }

            function checkPushToSaleType(){
                var pushToSaleType = $("#pushToSaleType").val();
                if(pushToSaleType === "Store"){
                    $(".select2StoreItems").show();
                    $(".select2Kitchens").hide();
                    $(".measurements").hide();
                }
                else if(pushToSaleType === "Kitchen"){
                    $(".select2StoreItems").hide();
                    $(".select2Kitchens").show();
                    $(".measurements").show();
                }
                else if(pushToSaleType === "Store_Kitchen"){
                    $(".select2StoreItems").show();
                    $(".select2Kitchens").show();
                    $(".measurements").show();
                }
                else{
                    $(".select2StoreItems").hide();
                    $(".select2Kitchens").hide();
                    $(".measurements").show();
                }
                var editPushToSaleType = $("#editPushToSaleType").val();
                if(editPushToSaleType === "Store"){
                    $(".editSelect2StoreItems").show();
                    $(".editSelect2Kitchens").hide();
                    $(".editMeasurements").hide();
                }
                else if(editPushToSaleType === "Kitchen"){
                    $(".editSelect2StoreItems").hide();
                    $(".editSelect2Kitchens").show();
                    $(".editMeasurements").show();
                }
                else if(editPushToSaleType === "Store_Kitchen"){
                    $(".editSelect2StoreItems").show();
                    $(".editSelect2Kitchens").show();
                    $(".editMeasurements").show();
                }
                else{
                    $(".editSelect2StoreItems").hide();
                    $(".editSelect2Kitchens").hide();
                    $(".editMeasurements").show();
                }
            }

            $(document).on("change", "#pushToSaleType", function (e){
                checkPushToSaleType();
            });

            $(document).on("change", "#editPushToSaleType", function (e){
                checkPushToSaleType();
            });

            checkPushToSaleType();

            $(document).on("change", ".storeItemId", function (e){
                var store_item_id = $(this).val();
                var repeaterItem = $(this).closest('[data-repeater-item]');
                var measurementSelect = repeaterItem.find('select.measurementId');
                var measurementParentDiv = measurementSelect.closest('.dropdown');

                var newMeasurementSelect = $('<select></select>').addClass('mb-2 measurementId');
                var attributesToCopy = ['data-width', 'data-live-search', 'name', 'data-placeholder', 'data-dropdown-parent'];
                $.each(attributesToCopy, function(index, attributeName) {
                    var attributeValue = measurementSelect.attr(attributeName);
                    if (attributeValue !== undefined) {
                        newMeasurementSelect.attr(attributeName, attributeValue);
                    }
                });
                measurementParentDiv.replaceWith(newMeasurementSelect);

                if(store_item_id){
                    $.ajax({
                        url: 'get_store_item_measurements',
                        method: 'GET',
                        data: {storeItemId: store_item_id},
                        success: function(response) {
                            newMeasurementSelect.empty();
                            $.each(response.storeRelativeMeasurements, function(index, option) {
                                newMeasurementSelect.append($('<option></option>').attr('value', option.measurement_id).text(option.measurement_name));
                            });
                            newMeasurementSelect.selectpicker();
                        },
                        error: function() {

                        }
                    });
                }
                else{
                    measurementSelect.empty();
                }
            })

            $(document).on("click", ".editSaleItem", function (e){
                e.preventDefault();
                var sale_item_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_sale_item_form",
                    dataType: "json",
                    data:{
                        saleItemId: sale_item_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $(".branchId").selectpicker();
                            $(".prepItemId").selectpicker();
                            $(".saleItemCategoryId").selectpicker();
                            $(".preparationType").selectpicker();
                            $(".pushToSaleType").selectpicker();
                            $(".storeItemIds").selectpicker();
                            $(".itemConditionGroupId").selectpicker();
                            $(".kitchenIds").selectpicker();
                            $(".saleAddonCategoryIds").selectpicker();
                            $(".pointOfSale").selectpicker();
                            $(".kitchenPrep").selectpicker();
                            $(".pushToSale").selectpicker();
                            checkPushToSaleType();
                            var imageInputElement = document.querySelector("#editSaleItemImage");
                            var imageInput = new KTImageInput(imageInputElement);
                                imageInput.on("kt.imageinput.change", function() {
                            });
                            $(".branchIds").selectpicker();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("submit", "#editSaleItemForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sale Item will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editSaleItemForm").ajaxSubmit({
                                    type: "POST",
                                    url: "edit_sale_item",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            saleItemsSummary();
                                            close_modal()
                                            Swal.fire("Done!", "Sale Item Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".deleteSaleItem", function (e){
                e.preventDefault();
                var sale_item_id = $(this).data("id");
                var tr = $(this).parents("tr");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sale Item will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_sale_item",
                                    dataType: "json",
                                    data:{
                                        saleItemId: sale_item_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            saleItemsSummary();
                                            Swal.fire("Done!", "Sale Item Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".viewGroupList", function (e) {
                e.preventDefault();
                $(".group-div").html("");
                $(".card-body-loader").show();
                $.ajax({
                    type: "GET",
                    url: "sale_item_category_groups",
                    dataType: "json",
                    success: function (response) {
                        if (response.status === "success") {
                            $(".card-body-loader").hide();
                            $(".group-div").html(response.body);
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });
            })

            $(document).on("click", ".deleteSaleItemCategoryGroup", function (e) {
                e.preventDefault();
                var sale_item_category_group_id = $(this).data("id");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sale Item Category Group will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_sale_item_category_group",
                                    dataType: "json",
                                    data:{
                                        saleItemCategoryGroupId: sale_item_category_group_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            close_modal()
                                            $(".saleItemCategoryGroupId").selectpicker();
                                            Swal.fire("Done!", "Sale Item Category Group Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            })

            $(document).on("click", ".editSaleItemCategoryGroup", function (e){
                e.preventDefault();
                var sale_item_category_group_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_sale_item_category_group_form",
                    dataType: "json",
                    data:{
                        saleItemCategoryGroupId: sale_item_category_group_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("submit", "#editSaleItemCategoryGroupForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sale Item Category Group will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editSaleItemCategoryGroupForm").ajaxSubmit({
                                    type: "PUT",
                                    url: "edit_sale_item_category_group",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            close_modal()
                                            $(".saleItemCategoryGroupId").selectpicker();
                                            $("#editSaleItemCategoryGroupForm").resetForm();
                                            Swal.fire("Done!", "Sale Item Category Group Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $("#addGroupsForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Groups will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addGroupsForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_sale_item_category_groups",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            $("#addGroupsForm").resetForm();
                                            $(".saleItemCategoryGroupId").selectpicker();
                                            close_modal()
                                            Swal.fire("Done!", "Groups Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".viewCategoryList", function (e) {
                e.preventDefault();
                $(".category-div").html("");
                $(".card-body-loader").show();
                $.ajax({
                    type: "GET",
                    url: "sale_item_categories",
                    dataType: "json",
                    success: function (response) {
                        if (response.status === "success") {
                            $(".card-body-loader").hide();
                            $(".category-div").html(response.body);
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });
            })

            $(document).on("click", ".deleteSaleItemCategory", function (e) {
                e.preventDefault();
                var sale_item_category_id = $(this).data("id");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sale Item Category will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_sale_item_category",
                                    dataType: "json",
                                    data:{
                                        saleItemCategoryId: sale_item_category_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            saleItemsSummary();
                                            close_modal()
                                            $(".saleItemCategoryId").selectpicker();
                                            Swal.fire("Done!", "Sale Item Category Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            })

            $(document).on("click", ".editSaleItemCategory", function (e){
                e.preventDefault();
                var sale_item_category_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_sale_item_category_form",
                    dataType: "json",
                    data:{
                        saleItemCategoryId: sale_item_category_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                            $(".groupId").selectpicker();
                            $(".editBranchId").selectpicker();
                            $(".editBranchIds").selectpicker();
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("submit", "#editSaleItemCategoryForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sale Item Category will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editSaleItemCategoryForm").ajaxSubmit({
                                    type: "PUT",
                                    url: "edit_sale_item_category",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            close_modal()
                                            saleItemsSummary();
                                            $(".saleItemCategoryId").selectpicker();
                                            $("#editSaleItemCategoryForm").resetForm();
                                            Swal.fire("Done!", "Sale Item Category Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".deleteRecipe", function (e) {
                var recipe_id = $(this).data("id");
                e.preventDefault();
                var error = false;
                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Recipe will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                var selector = ".recipe" + recipe_id;
                                $(selector).html("");
                                Swal.fire("Done!", "Recipe Deleted", "success");
                            });
                        },
                    })
                }
            })

            $("#addSaleItemForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Sale Item will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addSaleItemForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_sale_item",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            $('html, body').animate({scrollTop : 0},800);
                                            // $("#addSaleItemForm").resetForm();
                                            saleItemsSummary();
                                            // close_modal()
                                            Swal.fire("Done!", "Sale Item Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addCategoriesForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Categories will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addCategoriesForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_sale_item_categories",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            $("#addCategoriesForm").resetForm();
                                            saleItemsSummary();
                                            $(".saleItemCategoryId").selectpicker();
                                            close_modal()
                                            Swal.fire("Done!", "Categories Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".saleItemRecipe", function (e) {
                e.preventDefault();
                var sale_item_id = $(this).data("id");
                $(".category-div-2").html("");
                $(".card-body-loader-2").show();
                $.ajax({
                    type: "GET",
                    url: "recipes",
                    dataType: "json",
                    data: {
                        saleItemId: sale_item_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            $(".card-body-loader-2").hide();
                            $(".category-div-2").html(response.body);
                            $('#recipes').repeater({
                                initEmpty: true,
                                show: function () {
                                    $(this).slideDown();
                                    $(this).find('.storeItemId').selectpicker();
                                    $(this).find('.measurementId').selectpicker();
                                    $(this).find('.recipeStatus').selectpicker();
                                },

                                hide: function (deleteElement) {
                                    $(this).slideUp(deleteElement);
                                },
                                ready: function () {
                                    $('.storeItemId').selectpicker();
                                    $('.measurementId').selectpicker();
                                    $('.recipeStatus').selectpicker();
                                }
                            });
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });
            })

            $("#recipeForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Recipes will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#recipeForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_recipes",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            $("#recipeForm").resetForm();
                                            Swal.fire("Done!", "Recipes Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

        });
    </script>

@endsection

