<?php $__env->startSection('title', env('APP_NAME')); ?>

<?php $__env->startSection('content'); ?>

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Items</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="<?php echo e(url("/")); ?>"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Pricing Items</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Item"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <button
                                type="button"
                                class="btn btn-primary adjustPricing"
                                data-bs-toggle="modal"
                                data-bs-target="#adjustPricingModal"
                            >
                                Adjust Prices (<span class="adjustPriceItems">0</span>)
                            </button>
                        </div>
                        <!--end::Toolbar-->
                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="itemsTable">
                        <thead>
                            <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                <th class="min-w-250px">Item Name</th>
                                <th class="min-w-100px">Profit Margin (%)</th>
                                <th class="min-w-125px">Item Price</th>
                                <th class="min-w-125px">Cost Price</th>
                                <th class="min-w-125px">Proposed Price</th>
                                <th class="text-end min-w-70px">Actions</th>
                            </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->

            <div class="modal fade" tabindex="-1" id="viewPriceReviewLogModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Price Review Log</h3>
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>

                        <div class="modal-body py-10 px-lg-17">
                                <div class="mt-3">
                                    <div class="justify-content-between">
                                        <i
                                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                        ><span class="path1"></span><span class="path2"></span
                                            ></i>
                                        <input
                                            id="searchInput"
                                            type="text"
                                            data-kt-customer-table-filter="searchpricereviewlog"
                                            class="form-control mb-5 form-control-solid w-250px ps-12"
                                            placeholder="Search Price Review Log"
                                        />
                                    </div>
                                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="priceReviewLogTable">
                                        <thead>
                                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                            <th class="min-w-150px">Date</th>
                                            <th class="min-w-150px">Cost Price</th>
                                            <th class="min-w-150px">Item Price</th>
                                            <th class="min-w-150px">Profit Margin(%)</th>
                                            <th class="min-w-150px text-end">User</th>
                                        </tr>
                                        </thead>
                                        <tbody class="fw-semibold text-gray-600">

                                        </tbody>
                                    </table>
                                </div>

                        </div>

                    </div>
                </div>
            </div>
            
            <div class="modal fade" tabindex="-1" id="adjustPricingModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Pricing Updates</h3>
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>
                        <form id="adjustPricesForm">
                            <div class="modal-body py-10 px-lg-17">
                                <div class="mt-3">
                                    <div class="justify-content-between">
                                        <i
                                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                        ><span class="path1"></span><span class="path2"></span
                                            ></i>
                                        <input
                                            id="searchInput"
                                            type="text"
                                            data-kt-customer-table-filter="searchpriceupdates"
                                            class="form-control mb-5 form-control-solid w-250px ps-12"
                                            placeholder="Search Items"
                                        />
                                    </div>
                                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="adjustPricingTable">
                                        <thead>
                                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                            <th class="min-w-75px">
                                                <div class="form-check">
                                                <input class="form-check-input" type="checkbox" value="" id="selectAll" />
                                                </div>
                                                <span class="pt-2">Select All</span>
                                            </th>
                                            <th class="min-w-200px">Item</th>
                                            <th class="min-w-100px">Cost Price</th>
                                            <th class="min-w-100px">Item Price</th>
                                            <th class="min-w-100px">Difference</th>
                                            <th class="min-w-100px">Proposed Price</th>
                                            <th class="min-w-75px text-end">Profit Margin</th>
                                        </tr>
                                        </thead>
                                        <tbody class="fw-semibold text-gray-600">

                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-info">Update Prices</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="modal fade" tabindex="-1" id="viewPriceLogModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Price Log</h3>
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                        </div>

                        <div class="modal-body py-10 px-lg-17">
                                <div class="mt-3">
                                    <div class="justify-content-between">
                                        <i
                                            class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                        ><span class="path1"></span><span class="path2"></span
                                            ></i>
                                        <input
                                            id="searchInput"
                                            type="text"
                                            data-kt-customer-table-filter="searchpricelog"
                                            class="form-control mb-5 form-control-solid w-250px ps-12"
                                            placeholder="Search Price Log"
                                        />
                                    </div>
                                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="priceLogTable">
                                        <thead>
                                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                            <th class="min-w-150px">Supplier</th>
                                            <th class="min-w-150px">Date</th>
                                            <th class="min-w-150px">Measurement</th>
                                            <th class="min-w-100px text-end">Unit Cost Price</th>
                                        </tr>
                                        </thead>
                                        <tbody class="fw-semibold text-gray-600">

                                        </tbody>
                                    </table>
                                </div>

                        </div>

                    </div>
                </div>
            </div>
            
        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection("footer-links"); ?>

    <script>
        $(document).ready(function() {

            let item_id, item_measurement;

            $('#selectAll').on('change', function () {
                $('.checkBox').prop('checked', $(this).is(':checked'));
            });

            $('.checkBox').on('change', function () {
                const allChecked = $('.checkBox').length === $('.checkBox:checked').length;
                $('#selectAll').prop('checked', allChecked);
            });

            var datatable_pricereviewlog = $("#priceReviewLogTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "price_review_log?itemId=" + item_id,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
           
            $(document).on('keyup', '[data-kt-customer-table-filter="searchpricereviewlog"]', function (e) {
                datatable_pricereviewlog.search(e.target.value).draw();
            });

            $(document).on("click", ".priceReviewLog", function(e){
                item_id = $(this).data("id");
                $(".itemId").val(item_id);
                datatable_pricereviewlog.ajax.url("price_review_log?itemId=" + item_id).load();
            })

            var datatable_pricelog = $("#priceLogTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "price_log?itemId=" + item_id,
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
           
            $(document).on('keyup', '[data-kt-customer-table-filter="searchpricelog"]', function (e) {
                datatable_pricelog.search(e.target.value).draw();
            });

            $(document).on("click", ".priceLog", function(e){
                item_id = $(this).data("id");
                $(".itemId").val(item_id);
                datatable_pricelog.ajax.url("price_log?itemId=" + item_id).load();
            })

            function pricingItemsSummary(){
                $.ajax({
                    url: 'pricing_items_summary',
                    method: 'GET',
                    success: function(response) {
                        $(".adjustPriceItems").text(response.adjustPriceItems);
                    },
                    error: function() {
                        pricingItemsSummary();
                    }
                });
            }

            pricingItemsSummary();

            function calculateProfitMargin(costPrice, proposedPrice) {
                return ((proposedPrice - costPrice) / proposedPrice) * 100;
            }

            function calculateDifference(itemPrice, proposedPrice) {
                return proposedPrice - itemPrice;
            }

            function calculateProposedPrice(costPrice, profitMargin) {
                return costPrice / (1 - profitMargin / 100);
            }

            $(document).on('input', '.proposedPrice', function () {
                const name = $(this).attr('name');
                const index = name.match(/\[(\d+)\]/)[1];

                const costPrice = parseFloat($('input[name="items[' + index + '][costPrice]"]').val());
                const itemPrice = parseFloat($('input[name="items[' + index + '][itemPrice]"]').val());
                const proposedPrice = parseFloat($(this).val());
                if (!isNaN(costPrice) && !isNaN(proposedPrice)) {
                    const profitMargin = calculateProfitMargin(costPrice, proposedPrice);
                    console.log(profitMargin);
                    $('input[name="items[' + index + '][profitMargin]"]').val(profitMargin.toFixed(2));

                    const difference = calculateDifference(itemPrice, proposedPrice);
                    $('input[name="items[' + index + '][difference]"]').val(difference.toFixed(2));
                }
            });

            function formatProposedPrice(proposedPrice) {
                const remainder = proposedPrice % 100;

                if (remainder <= 50) {
                    proposedPrice = Math.floor(proposedPrice / 100) * 100 + 50;
                } else {
                    proposedPrice = Math.ceil(proposedPrice / 100) * 100;
                }

                return proposedPrice;
            }
            
            $(document).on('input', '.profitMargin', function () {
                const name = $(this).attr('name');
                const index = name.match(/\[(\d+)\]/)[1];

                const costPrice = parseFloat($('input[name="items[' + index + '][costPrice]"]').val());
                const itemPrice = parseFloat($('input[name="items[' + index + '][itemPrice]"]').val());
                const profitMargin = parseFloat($(this).val());

                if (!isNaN(costPrice) && !isNaN(profitMargin)) {
                    let proposedPrice = calculateProposedPrice(costPrice, profitMargin);
                    proposedPrice = formatProposedPrice(proposedPrice);
                    $('input[name="items[' + index + '][proposedPrice]"]').val(proposedPrice.toFixed(0));

                    const difference = calculateDifference(itemPrice, proposedPrice);
                    $('input[name="items[' + index + '][difference]"]').val(difference.toFixed(2));
                }
            });

            var datatable_adjustpricing = $("#adjustPricingTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "ajax_adjust_pricing",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
           
            $(document).on('keyup', '[data-kt-customer-table-filter="searchadjustpricing"]', function (e) {
                datatable_adjustpricing.search(e.target.value).draw();
            });

            $(document).on("click", ".adjustPricing", function(e){
                datatable_adjustpricing.ajax.url("ajax_adjust_pricing").load();
            })

            $(document).on("click", ".adjustPrice", function(e){
                item_id = $(this).data('id');
                datatable_adjustpricing.ajax.url("ajax_adjust_pricing?itemId="+item_id).load();
            })

            var datatable = $("#itemsTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "ajax_pricing_items",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                scrollX: true,
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                    $("#itemsTable_filter").hide();
                    $('.buttons-print').removeClass("btn-secondary").addClass("btn-dark rounded-1 mt-3");
                }
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $("#adjustPricesForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Item Prices will be adjusted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#adjustPricesForm").ajaxSubmit({
                                    type: "POST",
                                    url: "adjust_prices",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            $('html, body').animate({scrollTop : 0},800);
                                            pricingItemsSummary();
                                            Swal.fire("Done!", "Prices Adjusted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

        });
    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/pricing_items.blade.php ENDPATH**/ ?>