<?php $__env->startSection('title', env("APP_NAME")); ?>

<?php $__env->startSection('content'); ?>

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Contacts</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="<?php echo e(url("/")); ?>"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Staff</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Staff"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >

                            <button
                                type="button"
                                class="btn btn-info"
                                data-bs-toggle="modal"
                                data-bs-target="#addStaffModal"
                            >
                                Employ Staff
                            </button>

                        </div>
                        <!--end::Toolbar-->

                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->

                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="staffTable">
                        <thead>
                        <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                            <th class="min-w-125px">Staff Name</th>
                            <th class="min-w-125px">Staff Email</th>
                            <th class="min-w-125px">Phone Number</th>
                            <th class="min-w-125px">Staff Pin</th>
                            <th class="min-w-125px">Staff Status</th>
                            <th class="text-end min-w-70px">Actions</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">
                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->
            </div>
            <!--end::Card-->

            <div class="modal fade" tabindex="-1" id="addStaffModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addStaffForm">
                        <?php echo csrf_field(); ?>
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add Staff</h3>
                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                            </div>

                            <div class="modal-body py-10 px-lg-17">

                                <div class="fv-row mb-7">
                                    <label class="form-label">Staff Name:</label>
                                    <input type="text" name="staffName" class="form-control mb-2 mb-md-0" placeholder="Enter staff name" />
                                </div>
                                <div class="fv-row mb-7">
                                    <label class="form-label">Staff Email:</label>
                                    <input type="email" name="staffEmail" class="form-control mb-2 mb-md-0" placeholder="Enter staff email" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="form-label">Staff Phone Number:</label>
                                    <input type="text" name="staffPhoneNumber" class="form-control mb-2 mb-md-0" placeholder="Enter staff phone number" />
                                </div>
                                <div class="fv-row mb-7">
                                    <label class="form-label">Staff Password:</label>
                                    <input type="password" name="staffPassword" class="form-control mb-2 mb-md-0" placeholder="Enter staff password" />
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Select Role</label>
                                    <select class="select mb-2 staffRole" id="staffRole" data-live-search="true" data-width="100%" name="staffRole" data-dropdown-parent="#addStaffModal" data-placeholder="Select role">
                                            @role("Admin")
                                            <option value="Admin">Admin</option>
                                            @endrole
                                            <option value="Store Keeper">Store Keeper</option>
                                            <option value="Chef">Chef</option>
                                            <option value="Cashier">Cashier</option>
                                            <option value="Auditor">Auditor</option>
                                            <option value="Accountant">Accountant</option>
                                            <option value="Waiter">Waiter</option>
                                            <option value="Waiter_Cashier">Waiter Cashier</option>
                                            <option value="Station Manager">Station Manager</option>
                                            <option value="Supervisor">Supervisor</option>
                                            <option value="Customer Support">Customer Support</option>
                                            <option value="Manager">Manager</option>
                                    </select>
                                </div>

                                <div class="fv-row mb-7">
                                    <label class="required fs-6 fw-semibold mb-2">Status</label>
                                    <div class="form-check form-switch form-check-custom form-check-solid">
                                        <input class="form-check-input" type="checkbox" value="Active" name="staffStatus" checked="checked">
                                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="staffStatus">
                                            Active
                                        </label>
                                    </div>
                                </div>
                            </div>

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </div>

                    </form>
                </div>
            </div>

        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection("footer-links"); ?>

    <script>
        $(document).ready(function() {

            var datatable = $("#staffTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 10,
                "ajax": {
                    "url": "ajax_users",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            function checkStaffRole(staffRole){
                if(staffRole === "Store Keeper"){
                    $(".staffRoleTypes").hide();
                    $(".storeIds").show();
                    $(".kitchenIds").hide();
                }
                else if(staffRole === "Chef"){
                    $(".staffRoleTypes").hide();
                    $(".storeIds").hide();
                    $(".kitchenIds").show();
                }
                else if(staffRole === "Station Manager"){
                    $(".staffRoleTypes").hide();
                    $(".storeIds").hide();
                    $(".kitchenIds").show();
                }
                else if(staffRole === "Supervisor"){
                    $(".staffRoleTypes").show();
                    $(".storeIds").hide();
                    $(".kitchenIds").show();
                }
                else{
                    $(".staffRoleTypes").hide();
                    $(".storeIds").hide();
                    $(".kitchenIds").hide();
                }
            }

            function checkEditStaffRole(staffRole){
                if(staffRole === "Store Keeper"){
                    $(".editStaffRoleTypes").hide();
                    $(".editStoreIds").show();
                    $(".editKitchenIds").hide();
                }
                else if(staffRole === "Chef"){
                    $(".editStaffRoleTypes").hide();
                    $(".editStoreIds").hide();
                    $(".editKitchenIds").show();
                }
                else if(staffRole === "Station Manager"){
                    $(".editStaffRoleTypes").hide();
                    $(".editStoreIds").hide();
                    $(".editKitchenIds").show();
                }
                else if(staffRole === "Supervisor"){
                    $(".editStaffRoleTypes").show();
                    $(".editStoreIds").hide();
                    $(".editKitchenIds").show();
                }
                else{
                    $(".editStaffRoleTypes").hide();
                    $(".editStoreIds").hide();
                    $(".editKitchenIds").hide();
                }
            }

            checkStaffRole($("#staffRole").val());

            $(document).on("change", "#staffRole", function (e){
               var staff_role = $(this).val();
                checkStaffRole(staff_role);
            });

            $(document).on("change", "#editStaffRole", function (e){
                var staff_role = $(this).val();
                checkEditStaffRole(staff_role);
            });

            $(document).on("click", ".editStaff", function (e){
                e.preventDefault();
                var staff_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_staff_form",
                    dataType: "json",
                    data:{
                        staffId: staff_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response);
                            $(".editBranchId").selectpicker();
                            $(".editStaffRole").selectpicker();
                            $(".editSelectStaffRoleTypes").selectpicker();
                            $(".editSelectKitchenIds").selectpicker();
                            $(".editSelectStoreIds").selectpicker();
                            $(".editBranchIds").selectpicker();
                            $(".editDepartment").selectpicker();
                            checkEditStaffRole($("#editStaffRole").val());
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("submit", "#editStaffForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Staff will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editStaffForm").ajaxSubmit({
                                    type: "PUT",
                                    url: "edit_staff",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            close_modal()
                                            Swal.fire("Done!", "Staff Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".deleteStaff", function (e){
                e.preventDefault();
                var staff_id = $(this).data("id");
                var tr = $(this).parents("tr");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Staff will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_staff",
                                    dataType: "json",
                                    data:{
                                        staffId: staff_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            Swal.fire("Done!", "Staff Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".changeStaffPin", function (e){
                e.preventDefault();
                var staff_id = $(this).data("id");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Staff Pin will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "POST",
                                    url: "change_staff_pin",
                                    dataType: "json",
                                    data:{
                                        staffId: staff_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            Swal.fire("Done!", "Staff Pin Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".changeStaffCode", function (e){
                e.preventDefault();
                var staff_id = $(this).data("id");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Staff Code will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "POST",
                                    url: "generate_staff_code",
                                    dataType: "json",
                                    data:{
                                        staffId: staff_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            Swal.fire("Done!", "Staff Code Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on("click", ".removeStaffCode", function (e){
                e.preventDefault();
                var staff_id = $(this).data("id");
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Staff Code will be removed!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "POST",
                                    url: "remove_staff_code",
                                    dataType: "json",
                                    data:{
                                        staffId: staff_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            Swal.fire("Done!", "Staff Code Removed", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $("#addStaffForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Staff will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addStaffForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_staff",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            close_modal()
                                            Swal.fire("Done!", "Staff Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

        });
    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/users.blade.php ENDPATH**/ ?>