<?php $__env->startSection('title', env('APP_NAME')); ?>

<?php $__env->startSection('content'); ?>

    <!--begin::Toolbar-->
    <div class="toolbar mb-n1 pt-3 mb-lg-n3 pt-lg-6" id="kt_toolbar">
        <!--begin::Container-->
        <div
            id="kt_toolbar_container"
            class="container-xxl d-flex flex-stack flex-wrap gap-2"
        >
            <!--begin::Page title-->
            <div
                class="page-title d-flex flex-column align-items-start me-3 py-2 py-lg-0 gap-2"
            >
                <!--begin::Title-->
                <h1 class="d-flex text-dark fw-bold m-0 fs-3">Settings</h1>
                <!--end::Title-->

                <!--begin::Breadcrumb-->
                <ul
                    class="breadcrumb breadcrumb-dot fw-semibold text-gray-600 fs-7"
                >
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">
                        <a
                            href="<?php echo e(url("/")); ?>"
                            class="text-gray-600 text-hover-primary"
                        >
                            Home
                        </a>
                    </li>
                    <!--end::Item-->
                    <!--begin::Item-->
                    <li class="breadcrumb-item text-gray-600">Medication Plans</li>
                    <!--end::Item-->
                    <!--begin::Item-->
                </ul>
                <!--end::Breadcrumb-->
            </div>
            <!--end::Page title-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Toolbar-->

    <!--begin::Container-->
    <div id="kt_content_container all-content" class="d-flex flex-column-fluid align-items-start container-xxl medicationPlans all-content" >
        <!--begin::Post-->
        <div class="content flex-row-fluid" id="kt_content">
            <!--begin::Card-->
            <div class="card z-depth-1">
                <!--begin::Card header-->
                <div class="card-header border-0 pt-6">
                    <!--begin::Card title-->
                    <div class="card-title">
                        <!--begin::Search-->
                        <div
                            class="d-flex align-items-center position-relative my-1"
                        >
                            <i
                                class="ki-duotone ki-magnifier fs-3 position-absolute ms-5"
                            ><span class="path1"></span><span class="path2"></span
                                ></i>
                            <input
                                id="searchInput"
                                type="text"
                                data-kt-customer-table-filter="search"
                                class="form-control form-control-solid w-250px ps-12"
                                placeholder="Search Medication Plan"
                            />
                        </div>
                        <!--end::Search-->
                    </div>
                    <!--begin::Card title-->

                    <!--begin::Card toolbar-->
                    <div class="card-toolbar">
                        <!--begin::Toolbar-->
                        <div
                            class="d-flex justify-content-end"
                            data-kt-customer-table-toolbar="base"
                        >
                            <div
                                class="menu menu-sub menu-sub-dropdown w-300px w-md-325px"
                                data-kt-menu="true"
                                id="kt-toolbar-filter"
                            >
                                <!--begin::Header-->
                                <div class="px-7 py-5">
                                    <div class="fs-4 text-dark fw-bold">
                                        Filter Options
                                    </div>
                                </div>
                                <!--end::Header-->

                                <!--begin::Separator-->
                                <div class="separator border-gray-200"></div>
                                <!--end::Separator-->

                            </div>
                            <!--end::Menu 1-->
                            <!--end::Filter-->

                            <!--begin::Add customer-->
                            <button
                                type="button"
                                class="btn btn-danger"
                                data-bs-toggle="modal"
                                data-bs-target="#addMedicationPlanModal"
                            >
                                Add Medication Plan
                            </button>
                            <!--end::Add customer-->
                        </div>
                        <!--end::Toolbar-->

                        <!--begin::Group actions-->
                        <div
                            class="d-flex justify-content-end align-items-center d-none"
                            data-kt-customer-table-toolbar="selected"
                        >
                            <div class="fw-bold me-5">
              <span
                  class="me-2"
                  data-kt-customer-table-select="selected_count"
              ></span>
                                Selected
                            </div>

                            <button
                                type="button"
                                class="btn btn-danger"
                                data-kt-customer-table-select="delete_selected"
                            >
                                Delete Selected
                            </button>
                        </div>
                        <!--end::Group actions-->
                    </div>
                    <!--end::Card toolbar-->
                </div>
                <!--end::Card header-->


                <!--begin::Card body-->
                <div class="card-body pt-0">
                    <!--begin::Table-->
                    <table class="table align-middle table-row-dashed fs-6 gy-5" id="medicationPlansTable">
                        <thead>
                        <tr
                            class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0"
                        >
                            <th class="min-w-125px">Medication Plan Name</th>
                            <th class="min-w-125px">Medication Plan Price</th>
                            <th class="min-w-125px">Medication Plan Status</th>
                            <th class="text-end min-w-70px">Actions</th>
                        </tr>
                        </thead>
                        <tbody class="fw-semibold text-gray-600">

                        </tbody>
                    </table>
                    <!--end::Table-->
                </div>
                <!--end::Card body-->

            </div>
            <!--end::Card-->

            <!--begin::Modals-->
            <div class="modal fade" tabindex="-1" id="addMedicationPlanModal">
                <div class="modal-dialog mw-1000px">
                    <form id="addMedicationPlanForm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h3 class="modal-title">Add Medication Plan</h3>

                                <!--begin::Close-->
                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                    <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                                </div>
                                <!--end::Close-->
                            </div>

                            <div class="modal-body py-10 px-lg-17">
                                <!--begin::Input group-->
                                <div class="fv-row mb-7">
                                    <!--begin::Label-->
                                    <label class="required fs-6 fw-semibold mb-2">Name</label>
                                    <!--end::Label-->

                                    <!--begin::Input-->
                                    <input type="text" class="form-control form-control-solid" placeholder="Enter medication plan name" name="medicationPlanName" value="" />
                                    <!--end::Input-->
                                </div>
                                <!--end::Input group-->

                                <!--begin::Input group-->
                                <div class="fv-row mb-7">
                                    <label class="form-label">Contact</label>
                                    <select class="mb-2 contactId" data-width="100%" data-live-search="true" name="contactId" data-placeholder="Select Contact" data-dropdown-parent="#addMedicationPlanModal">
                                        <?php $__currentLoopData = $contacts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($contact->id); ?>"><?php echo e($contact->contact_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <!--end::Input group-->

                                <!--begin::Input group-->
                                <div class="fv-row mb-7">
                                    <label class="form-label">Delivery Location</label>
                                    <select class="mb-2 deliveryLocationId" data-width="100%" data-live-search="true" name="deliveryLocationId" data-placeholder="Select Delivery Location" data-dropdown-parent="#addMedicationPlanModal">
                                        <?php $__currentLoopData = $deliveryLocations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deliveryLocation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($deliveryLocation->id); ?>"><?php echo e($deliveryLocation->delivery_location_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <!--end::Input group-->

                                <!--begin::Input group-->
                                <div class="row mb-7">
                                        <div class="col-6">
                                            <label class="required fs-6 fw-semibold mb-2">Interval Value</label>
                                            <input type="text" class="form-control form-control-solid" placeholder="Enter interval value" name="intervalValue" value="1" />
                                        </div>
                                        <div class="col-6">
                                            <label class="form-label">Interval Type</label>
                                            <select class="mb-2 intervalType" data-width="100%" data-live-search="true" name="intervalType" data-placeholder="Select Interval Type" data-dropdown-parent="#addMedicationPlanModal">
                                            <option value="Daily">Daily</option>
                                            <option value="Weekly">Weekly</option>
                                            <option value="Monthly">Monthly</option>
                                            <option value="Yearly">Yearly</option>
                                            </select>
                                    </div>
                                </div>
                                <!--end::Input group-->

                                 <!--begin::Input group-->
                                 <div class="row mb-7">
                                    <div class="col-6">
                                        <label class="required fs-6 fw-semibold mb-2">Start Date</label>
                                        <input type="date" class="form-control form-control-solid" placeholder="Enter start date" name="startDate" value="" />
                                    </div>
                                    <div class="col-6">
                                        <label class="required fs-6 fw-semibold mb-2">End Date</label>
                                        <input type="date" class="form-control form-control-solid" placeholder="Enter start date" name="startDate" value="" />
                                    </div>
                                </div>
                            <!--end::Input group-->

                                <!--begin::Input group-->
                                <div class="fv-row mb-7">
                                    <!--begin::Label-->
                                    <label class="required fs-6 fw-semibold mb-2">Status</label>
                                    <!--end::Label-->

                                    <!--begin::Input-->
                                    <div class="form-check form-switch form-check-custom form-check-solid">
                                        <input class="form-check-input" type="checkbox" value="Active" id="medicationPlanStatus" name="medicationPlanStatus"checked="checked">
                                        <label class="form-check-label fw-semibold text-gray-400 ms-3" for="medicationPlanStatus">
                                            Active
                                        </label>
                                    </div>
                                    <!--end::Input-->
                                </div>
                                <!--end::Input group-->

                                <div class="separator separator-content my-14"><span class="w-125px text-gray-500 fw-semibold fs-8">MEDICATIONS</span></div>

                                <div class="fv-row mb-7">
                                    <div id="medications">
                                        <div class="form-group">
                                            <div data-repeater-list="medications">
                                                <div class="col-md-1 mt-md-8 d-none">
                                                    <a href="#" name="barcodeCheck" class="btn btn-sm btn-warning h-lg-40px barcodeCheck"><i class="bi bi-eye-fill pt-1 fs-4 me-0 pe-0"></i></a>
                                                </div>
                                                <div class="col-md-4 d-none">
                                                    <label class="form-label">Barcode</label>
                                                    <input type="text" class="form-control form-control-solid barcode" placeholder="Barcode" name="barcode" value="" />
                                                </div>
                                                <div data-repeater-item class="mb-5">
                                                    <div class="form-group row">
                                                        <div class="col-md-5">
                                                            <label class="form-label">Item</label>
                                                            <select class="mb-2 itemId" data-width="100%" data-live-search="true" name="itemId" data-placeholder="Select Item" data-dropdown-parent="#addWasteModal">
                                                                <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option value="<?php echo e($item->id); ?>" data-measurement="<?php echo e($item->item_measurement); ?>"><?php echo e($item->item_name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                        <div class="col-md-5">
                                                            <label class="form-label">Item Quantity <span class="itemQuantityLabel"></span></label>
                                                            <input type="text" name="itemQuantity" class="form-control form-control-solid mb-2 mb-md-0" placeholder="Item Qty"/>       
                                                        </div>
                                                        <div class="col-md-2 mt-md-8">
                                                            <a href="javascript:;" data-repeater-delete class="btn btn-light-danger">
                                                                <i class="ki-duotone ki-trash fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>Delete
                                                            </a>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group mt-5">
                                            <a href="javascript:;" data-repeater-create class="btn btn-light-primary addItemWaste">
                                                <i class="ki-duotone ki-plus fs-3"></i>
                                                Add Medication
                                            </a>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <!--end::Card body-->

                            <div class="modal-footer">
                                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>

                        </div>
                    </form>
                </div>
            </div>
            <!--end::Modals-->

            <div class="modal fade" tabindex="-1" id="deliveryCompaniesModal">
                <div class="modal-dialog mw-1000px">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h3 class="modal-title">Delivery Companies</h3>
                            <!--begin::Close-->
                            <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                                <i class="ki-duotone ki-cross fs-1"><span class="path1"></span><span class="path2"></span></i>
                            </div>
                            <!--end::Close-->
                        </div>

                        <div class="modal-body">
                            <div class="card-body category-div pt-0">
                                <form id="addDeliveryCompanyForm">
                                    <div class="row">
                                        <div class="col-10">
                                            <label class="form-label">Delivery Company Name</label>
                                            <input type="text" name="deliveryCompanyName" class="form-control mb-2 mb-md-0" placeholder="Enter Delivery Company Name" />
                                        </div>
                                        <div class="col-2">
                                            <button type="submit" class="btn btn-info mt-3 mt-md-8">
                                                <i class="ki-duotone ki-plus fs-5"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span><span class="path5"></span></i>
                                                ADD
                                            </button>
                                        </div>
                                    </div>
                                </form>

                                <hr/>
                                <div class="justify-content-between">
                                    <i
                                        class="ki-duotone ki-magnifier fs-3 mt-4 position-absolute ms-5"
                                    ><span class="path1"></span><span class="path2"></span
                                        ></i>
                                    <input
                                        id="searchInput"
                                        type="text"
                                        data-kt-customer-table-filter="searchdeliverycompanies"
                                        class="form-control mb-5 form-control-solid w-250px ps-12"
                                        placeholder="Search Delivery Companies"
                                    />
                                </div>
                                <table class="table align-middle table-row-dashed fs-6 gy-5" id="deliveryCompaniesTable">
                                    <thead>
                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                        <th class="min-w-200px">Delivery Company Name</th>
                                        <th class="min-w-150px">Delivery Company Status</th>
                                        <th class="text-end min-w-70px">Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody class="fw-semibold text-gray-600">
            
                                    </tbody>
                                </table>
                            </div>
                            <div class="card-body-loader" style="text-align: center">
                                <!-- Progress enabled state -->
                                <button type="button" class="btn btn-primary" data-kt-indicator="on">
                                    <span class="indicator-label">
                                        Submit
                                    </span>
                                    <span class="indicator-progress">
                                        Please wait...
                                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                                    </span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!--end::Post-->
    </div>
    <!--end::Container-->


<?php $__env->stopSection(); ?>

<?php $__env->startSection("footer-links"); ?>

    <script>
        $(document).ready(function() {
            "use strict";

            $('.contactId').selectpicker();
            $('.intervalType').selectpicker();
            $('.deliveryLocationId').selectpicker();
            var datatable = $("#medicationPlansTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 10,
                "ajax": {
                    "url": "ajax_medication_plans",
                    "type": "GET",
                    "data": function ( d ) {
                        return $.extend( {}, d, {
                        } );
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
            
            var datatable_delivery_companies = $("#deliveryCompaniesTable").DataTable({
                "info": false,
                'order': [],
                'pageLength': 100,
                "ajax": {
                    "url": "delivery_companies",
                    "type": "GET",
                    "data": function ( d ) {
                        $(".card-body-loader").hide();
                        return $.extend( {}, d, {
                        } );
                    },
                    error: function(xhr, errorType, exception) {
                        console.log('An error occurred while fetching data:', exception);
                    },
                    "dataSrc": function (response){
                        var data = [];
                        for ( var i=0; i < response.returned_data.length; i++ ) {
                            data.push(response.returned_data[i]);
                        }
                        return data;
                    }
                },
                "error": function (xhr, errorType, exception) {
                    console.log('An error occurred while fetching data:', exception);
                },
                "deferRender": true,
                "createdRow": function ( row, data, index ) {
                    $("td:last", row).attr("class", "text-end");
                },
                fnDrawCallback: function(){
                    KTMenu.createInstances();
                }
            });
            
            $(document).on("click", ".deliveryCompanies", function(e){
                $(".card-body-loader").show();
                datatable_delivery_companies.ajax.url("delivery_companies").load();
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="searchdeliverycompanies"]', function (e) {
                datatable_delivery_companies.search(e.target.value).draw();
            });

            $(document).on("click", ".editMedicationPlan", function (e){
                e.preventDefault();
                var medication_plan_id = $(this).data("id");
                emptyModalOpen();
                $.ajax({
                    type: "GET",
                    url: "edit_medication_plan_form",
                    dataType: "json",
                    data:{
                        medicationPlanId: medication_plan_id,
                    },
                    success: function (response) {
                        if (response.status === "success") {
                            emptyModalFill(response)
                        } else {
                            Swal.fire("Cancelled!", response.message, "error");
                        }
                        Swal.hideLoading();
                    },
                    error: function (response) {
                        Swal.fire("Error!", response.responseJSON.message, "error");
                        Swal.hideLoading();
                        emptyModalClose();
                    }
                });

            });

            $(document).on("click", ".deleteMedicationPlan", function (e){
                e.preventDefault();
                var medication_plan_id = $(this).data("id");
                var error = false;
                var tr = $(this).parents("tr");

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Medication Plan will be deleted!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $.ajax({
                                    type: "DELETE",
                                    url: "delete_medication_plan",
                                    dataType: "json",
                                    data:{
                                        medicationPlanId: medication_plan_id,
                                    },
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.row(tr).remove().draw(false);
                                            Swal.fire("Done!", "Medication Plan Deleted", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $(document).on('keyup', '[data-kt-customer-table-filter="search"]', function (e) {
                datatable.search(e.target.value).draw();
            });

            $("#addMedicationPlanForm").submit(function(e) {
                e.preventDefault();
                var error = false;
                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Medication Plan will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addMedicationPlanForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_medication_plan",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            $("#addMedicationPlanForm").resetForm();
                                            close_modal();
                                            Swal.fire("Done!", "Medication Plan Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }

                                });
                            });
                        },
                    })
                }
            });

            $(document).on("submit", "#editMedicationPlanForm", function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {

                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Medication Plan will be updated!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#editMedicationPlanForm").ajaxSubmit({
                                    type: "PUT",
                                    url: "edit_medication_plan",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable.ajax.reload();
                                            close_modal()
                                            Swal.fire("Done!", "Medication Plan Updated", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });
    
            $("#addDeliveryCompanyForm").submit(function(e) {
                e.preventDefault();
                var error = false;

                if (!error) {
                    Swal.fire({
                        title: 'Are you sure?',
                        html: "Delivery Company will be created!",
                        icon: 'info',
                        buttonsStyling: false,
                        showCancelButton: true,
                        allowOutsideClick: false,
                        allowEscapeKey: false,
                        allowEnterKey: false,
                        showLoaderOnConfirm: true,
                        confirmButtonText: 'Yes, submit it!',
                        cancelButtonText: 'No, cancel it',
                        customClass: {
                            confirmButton: 'btn btn-primary',
                            cancelButton: 'btn btn-danger'
                        },
                        preConfirm: () => {
                            return new Promise(() => {
                                $("#addDeliveryCompanyForm").ajaxSubmit({
                                    type: "POST",
                                    url: "create_delivery_company",
                                    dataType: "json",
                                    success: function (response) {
                                        if (response.status === "success") {
                                            datatable_delivery_companies.ajax.reload();
                                            $("#addDeliveryCompanyForm").resetForm();
                                            Swal.fire("Done!", "Delivery Company Created", "success");
                                        } else {
                                            Swal.fire("Cancelled!", response.message, "error");
                                        }
                                        Swal.hideLoading();
                                    },
                                    error: function (response) {
                                        Swal.fire("Error!", response.responseJSON.message, "error");
                                        Swal.hideLoading();
                                    }
                                });
                            });
                        },
                    })
                }
            });

            $('#medications').repeater({
                initEmpty: true,
                show: function () {
                    $(this).slideDown();
                    $(this).find('.itemId').selectpicker();
                    $(this).find('.measurementId').selectpicker();
                    $(this).find('.expiryDate').flatpickr();
                },
                hide: function (deleteElement) {
                    $(this).slideUp(deleteElement);
                },
                ready: function () {
                    $('.itemId').selectpicker();
                    $('.measurementId').selectpicker();
                    $('.expiryDate').flatpickr();
                }
            });

            $("#wasteDate").flatpickr();

        });
    </script>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/medication_plans.blade.php ENDPATH**/ ?>