<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=-1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="icon" type="image/png" href="<?php echo e(asset("zeonpos.png")); ?>" />
    <title>Order <?php echo e($order->order_number); ?></title>
</head>
<style>
    * {
        font-size: 10px;
        font-family: 'courier';
        font-weight: bold;
    }

    p {
        margin: 7px;
    }

    h4 {
        margin: 7px;
    }

    .centered {
        text-align: center;
        align-content: center;
    }

    .centereds {
        margin-top: -5px;
        text-align: center;
        align-content: center;
    }

    table {
        width: 100%;
        border-collapse: collapse;
    }

    th,
    td {
        padding: 3px;
        text-align: left;
    }

    .styledTable {
        width: 100%;
        border-collapse: collapse;
    }

    .styledTable td {
        /* Default border color */
        padding: 3px;
        text-align: left;
        font-size: 9px;
    }

    .styledTable th {
        /* Default border color */
        padding: 3px;
        text-align: right;
        font-size: 9px;
    }

    body {
        width: 100%;
        max-width: 100%;
        margin: 0;
        padding: 0;
        align-items: center;
        justify-content: center;
    }

    .ticket {
        width: 100%;
        max-width: 100%;
    }

    @media print {
        .hidden-print,
        .hidden-print * {
            display: none !important;
        }
    }

    .center {
        text-align: center;
    }

    img {
        max-width: 100%;
        /* Ensure the image doesn't exceed its natural size */
        height: auto;
        /* Maintain the image's aspect ratio */
    }

    .divider {
        display: block;
        text-align: center;
        overflow: hidden;
        white-space: nowrap;
    }

    .divider .divider-text {
        position: relative;
        display: inline-block;
        font-size: 10px;
        padding: 3px;
        background-color: #fff0;
    }

    .divider.divider-dark .divider-text:after,
    .divider.divider-dark .divider-text:before {
        border-color: #000000 !important;
    }

    .divider .divider-text:after,
    .divider .divider-text:before {
        content: '';
        position: absolute;
        top: 50%;
        width: 9999px;
        border-top: 1px dashed #DFE3E7;
    }

    .divider .divider-text:before {
        right: 100%;
    }

    .divider .divider-text:after {
        left: 100%;
    }
</style>

<body class="">
<div class="ticket">
    
    
    

    <h4 class="centered"><b>MEDITOX PHARMACY AND STORES LTD</b></h4>
    
    

    <!-- <p class="centered"><b>------------------------------</b></p> -->

    <p class="centereds"><b><?php echo e($contact->contact_name); ?></b></p>
    <p class="centereds"><b><?php echo e(\Illuminate\Support\Carbon::make($order->created_at)->format('D, j M Y, h:i A')); ?></b></p>
    <?php if(isset($payments)): ?>
        <?php $user = \App\Models\User::find($payments->first()->user_id); 
        ?>
    <?php else: ?> <?php endif; ?>
    <div class="divider divider-dark">
        <div class="divider-text">INFO</div>
    </div>
    <table class="styledTable blueTable">
        <tr>
            <th>INVOICE NO</th>
            <td><?php echo e($order->order_number); ?></td>
            <th>TOTAL ITEM</th>
            <td><?php echo e($orderItemsCount); ?></td>
        </tr>
        <tr>
            <th>CLEARED BY</th>
            <td><?php echo e($user->name); ?></td>
            <th>ISSUED BY</th>
            <td><?php echo e(\Illuminate\Support\Str::upper($staff->name)); ?> </td>
        </tr>
    </table>

    <div class="divider divider-dark">
        <div class="divider-text">CART</div>
    </div>
    <table>
        <tr style="display: none;">
            <th>Item</th>
            <th>Description</th>
        </tr>
        <?php $itemOrders = \App\Models\ItemOrder::where("order_id", $order->id)->get();
        ?>
        <?php $__currentLoopData = $itemOrders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemOrder): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                        $item = \App\Models\Item::find($itemOrder->itemPurchase->item_id);
                ?>
        <tr>
            <td style="text-align: left;"><?php echo e($itemOrder->order_quantity); ?> <?php echo e(\Illuminate\Support\Str::upper($item->item_name)); ?>

               </td>
            <td style="text-align: right;">&#8358;<?php echo e(number_format($itemOrder->order_price, 2)); ?></td>
        </tr>

        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


    </table>
    <div class="divider divider-dark">
        <div class="divider-text">SUMMARY</div>
    </div>

    <table>
        <tr style="display: none;">
            <th>Item</th>
            <th>Description</th>
        </tr>
        <tr>
            <td style="text-align: right;">SUB TOTAL</td>
            <td style="text-align: right;">&#8358;<?php echo e(number_format($order->itemOrders->sum("order_price"), 2)); ?></td>
        </tr>
        <?php $__currentLoopData = $payments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php $paymentMethod = \App\Models\PaymentMethod::find($payment->payment_method_id); ?>
        <tr>
            <td style="text-align: right;"><?php echo e(\Illuminate\Support\Str::upper($paymentMethod->payment_method_name)); ?></td>
            <td style="text-align: right;">&#8358;<?php echo e(number_format($payment->payment_amount, 2)); ?></td>
        </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    </table>

    <div class=""></div>
    <p class="centered"><b>------------------------------</b></p>
    <div class=""></div>

    <p class="centered"><b>PLEASE WATCH OUT FOR GREAT DEALS!</b></p>

</div>
<button id="btnPrint" class="hidden-print" style="display: none;">Print</button>
<script type="text/javascript">
    // window.print();
    // const $btnPrint = document.querySelector("#btnPrint");
    // $btnPrint.addEventListener("click", () => {
    //     window.print();
    // });
    document.addEventListener("DOMContentLoaded", function () {
        window.print();
    setTimeout(function () {
        window.close();
    }, 5000); // 5000ms = 5 seconds
});
</script>
</body>

</html>
<?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/zeonpos/resources/views/print_order.blade.php ENDPATH**/ ?>